/*
	Base de données :
	-	de gestion de production et de données techniques et 
	-	de gestion de commandes en lignes avec un panier.

	Ce script : 
	-	détruit les tables de l'ancienne base, 
	-	génère les nouvelles tables,
	-	insère les enregistrements de base des tables de paramètres (paramétrage essentiel, comptes comptables français version en cours en 2015)
	-	créé les dépendances de référence entre les tables.
	
	FIX
	FK 15/02/30 : ajout `opUniteTemps` ENUM( 's', 'm', 'd', 'M', 'Y' ) NOT NULL DEFAULT 'm' dans artGamme, ofGamme et ordFab : unité de mesure du temps, s=seconce, m=minute, ... Y=année
	FK 15/03/03 : Chgmt `ofDateFixe` en `ofDateType` ENUM( 'L', 'E', 'F' ) NOT NULL DEFAULT 'L' COMMENT 'L=date de lancement, E=date d''échéance, F=dates fixes'
	FK 15/03/05 : Chgmt dans ofNomenclature : le nom de l'index "fk_ofGammeNom" est converti en "idx_ofOpGamme" et sert à relier la ligne de nomenclature directement à l'opération de gamme. Voir s'il faut le laisser ou non
	FK 15/03/05 : Chgmt dans tier : ajout du champ `tierTypeCode` ENUM( 'c', 'f', 'b' ) NOT NULL DEFAULT 'c' COMMENT 'c=client, f=fournisseur, b=both (les deux)'. ce champ sera remplis automatiquement lors de l'ajout d'un fournisseur ou de l'association entre un tier fournisseur et un article. si un tier fournisseur achète un article, il prendra le code b
	FK 15/03/05 : Chgmt dans article : ajout des champs `artLotMini` FLOAT( 9, 2 ) NOT NULL COMMENT 'qté mini de production/achat', `artMultipleLotMini` FLOAT( 9, 2 ) NOT NULL COMMENT 'incrément lot de prod/achat' pour la gestion de prod et d'appro : multiple qte lot mini et multiple de lot
	FK 15/03/05 : Chgmt dans tier : ajout des champs  `tierPayCode` INT( 8 ) NOT NULL COMMENT 'Code conditions de paiement', `tierDelai` INT( 3 ) NOT NULL COMMENT 'Spé fournisseur : Nbre de jours de délai d''appro'
	FK 15/03/05 : Version de la base : 
	FK 15/03/15 : Nouveaux champs dans lignes de commande : quantités reçues, et quelques autres petites modifs 
					lignecdeclientart	`qteShipped` float NOT NULL COMMENT 'Qté livrée',`qteInvoiced` float NOT NULL COMMENT 'qte facturee',
					lignecdefourart		`qteRecieved` float NOT NULL COMMENT 'qté receptionnee ok',
					ordfab				`ofQteFab` float NOT NULL,
*/
-- Généré le: Mer 20 Novembre 2013 à 14:02
-- Version du serveur: 5.5.24-log
-- Version de PHP: 5.4.3 */

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

-- /*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
-- /*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
-- /*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
-- /*!40101 SET NAMES utf8 */;

-- Base de données: `erp`
use `erp` ;

-- SET CHARACTER SET utf8;

-- --------------------------------------------------------
-- Effacement des anciennes tables avant réeinstallation
-- NE PAS CHANGER L'ORDRE DE SUPPRESSION (à cause des clés étrangères ...)
-- les tables sont dans l'ordre détail > général. ne pas le changer, il y a des dépendances de référence.

DROP TABLE IF EXISTS `stockmvt`;
DROP TABLE IF EXISTS `mrpRessources`;
DROP TABLE IF EXISTS `mrpBesoins`;

DROP TABLE IF EXISTS `panierarticle`;
DROP TABLE IF EXISTS `panier`;
DROP TABLE IF EXISTS `lignecdeclientart`;
DROP TABLE IF EXISTS `cdeclient`;
DROP TABLE IF EXISTS `lignecdefourart`;
DROP TABLE IF EXISTS `cdefour`;
DROP TABLE IF EXISTS `fourArt`;

DROP TABLE IF EXISTS `ofgamme`;
DROP TABLE IF EXISTS `ofnomenclature`;
DROP TABLE IF EXISTS `ordfab`;

DROP TABLE IF EXISTS `artgamme`;
DROP TABLE IF EXISTS `artnomenclature`;

DROP TABLE IF EXISTS `article`;
DROP TABLE IF EXISTS `tier`;

DROP TABLE IF EXISTS `artcategorie`;
DROP TABLE IF EXISTS `arttype`;
DROP TABLE IF EXISTS `modepaiement`;
DROP TABLE IF EXISTS `modetransport`;
DROP TABLE IF EXISTS `cptatypcompte`;
DROP TABLE IF EXISTS `pays`;
DROP TABLE IF EXISTS `param`;
DROP TABLE IF EXISTS `context`;
DROP TABLE IF EXISTS `users`;

-- ============================================================================================================
-- Création des tables (l'ordre importe peu, les dépendances sont construites à la fin)
-- sauf pour context, afin de pouvoir facilement changer les notions de version.
-- ============================================================================================================
-- Structure et contenu de base de la table `context`
-- Cette table contient aussi la version de la base de données
CREATE TABLE IF NOT EXISTS `context` (
  `contextCode` varchar(15) NOT NULL,
  `contextInstallDate` date NOT NULL,
  `contextName` varchar(30) NOT NULL,
  `contextDesc` text,
  `contextAuthor` varchar(30) NOT NULL,
  `contextVersion` varchar(8) NOT NULL,
  `contextCreateDate` date NOT NULL,
  PRIMARY KEY (`contextCode`,`contextInstallDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='versions, modifications de la structure de la BDD';
-- Contenu de la table `context`
INSERT INTO `context` (`contextCode`, `contextInstallDate`, `contextName`, `contextDesc`, `contextAuthor`, `contextVersion`, `contextCreateDate`) VALUES
('DB0.0.0', '0000-00-00', 'Database', 'Schéma de la baqse de données', 'EFKA', '0.0.0', '0000-00-00'),
('DB0.0.0', '2013-11-19', 'Database', 'contexte ski', 'EFKA', '1.0.0', '2013-06-17'),
('DB0.0.1', '0000-00-00', 'Database', 'Schéma de la base de données', 'EFKA', '0.0.1', '0000-00-00'),
('DB1.0.0', '0000-00-00', 'Database', 'Schéma de la base de données', 'EFKA', '1.0.0', '2013-11-20'),
('DB1.1.0', '0000-00-00', 'Database', 'Schéma de la base de données : Ajout de la table des comptes de compta française', 'EFKA', '1.1.0', '2014-12-12'),
('DB1.1.1', '0000-00-00', 'Database', 'Schéma de la base de données : modif sur la table article, ajout info planification et stock mini, valeurs par défaut', 'EFKA', '1.1.1', '2014-12-22'),
('DB1.2.2', '0000-00-00', 'Database', 'Schéma de la base de données : modif sur les tables article, tier et tables de gesPord ; ajout table fourArt', 'EFKA', '1.1.1', '2015-03-06');

-- --------------------------------------------------------
-- ============================================================================================================
-- --------------------------------------------------------
-- Structure de la table `artcategorie`
CREATE TABLE IF NOT EXISTS `artcategorie` (
  `code` varchar(3) NOT NULL,
  `libelle` varchar(45) NOT NULL,
  `catVente` varchar(1) NOT NULL COMMENT '1=peut être vendu, 0=non vendu',
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
-- Structure de la table `artgamme`
CREATE TABLE IF NOT EXISTS `artgamme` (
  `artCode` varchar(8) NOT NULL,
  `opNum` int(11) NOT NULL,
  `opDesc` varchar(50) DEFAULT NULL,
  `opDuree` double DEFAULT NULL,
  `opUniteTemps` ENUM( 's', 'm', 'd', 'M', 'Y' ) NOT NULL DEFAULT 'm',
  PRIMARY KEY (`artCode`,`opNum`),
  KEY `fk_gammeArticle` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gamme article : liste des operations de production';
-- --------------------------------------------------------
-- Structure de la table `article`
-- artCatCode n'est pas encore utilisée
-- artVendu n'est pas encore utilisé mais prévu pour les filtres dans les listes
-- artAddMode n'est pas encore utilisé mais prévu pour les filtres dans les listes ou les contrôles de modif. des données techniques
-- artAddMode 0=Acheté, 1=fabriqué, 2=sous-traité
CREATE TABLE IF NOT EXISTS `article` (
  `artCode` varchar(8) NOT NULL,
  `artDesc` varchar(50) NOT NULL,
  `artPrixHT` float(15,5) NOT NULL DEFAULT '0.00000',
  `stockInit` float(9,2) NOT NULL DEFAULT '0.00',
  `stockDate` date NOT NULL,
  `artTypeCode` varchar(1) NOT NULL,
  `artCatCode` varchar(1) NOT NULL,
  `artVendu` enum('0','1') NOT NULL DEFAULT '1' COMMENT '1=Oui ou 0=Non',
  `artAddMode` enum('0','1','2') NOT NULL DEFAULT '0' COMMENT 'Mode entree en stock : Achat, Fabrication, Sous-traitement',
  `artPlanif` enum('S','M') NOT NULL DEFAULT 'S' COMMENT 'S= sur stock mini, M=MRP',
  `artStockMini` float NOT NULL DEFAULT '0',
  `artLotMini` FLOAT( 9, 2 ) NOT NULL DEFAULT '0' COMMENT 'qté mini de production/achat',
  `artMultipleLotMini` FLOAT( 9, 2 ) NOT NULL DEFAULT '0' COMMENT 'incrément lot de prod/achat',
  PRIMARY KEY (`artCode`),
  KEY `fk_artType` (`artTypeCode`),
  KEY `fk_artCat` (`artCatCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Articles geres';
-- Notes : matrice des type articles et codes addMode
-- TypeCode AddMode	Vendu
--	F pf		1 fab, 2 stt	1 vend
--	S sf		1 fab, 2 stt	0 non
--	M mp		0 ach			0 non, selon nécessité
--	N neg		0 ach			1 oui
--	C cons		0 ach			1 oui
--	M		
-- --------------------------------------------------------
-- Structure de la table `artnomenclature`
CREATE TABLE IF NOT EXISTS `artnomenclature` (
  `artCode` varchar(8) NOT NULL,
  `comp_artCode` varchar(8) NOT NULL,
  `opNum` int(11) NOT NULL DEFAULT '0',
  `compQte` float NOT NULL,
  PRIMARY KEY (`artCode`,`comp_artCode`,`opNum`),
  KEY `fk_nomArticle` (`artCode`),
  KEY `fk_nomComposant` (`comp_artCode`),
  KEY `fk_nomGamme` (`artCode`,`opNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Nomenclature de production pour un article';
-- --------------------------------------------------------
-- Structure de la table `arttype`
CREATE TABLE IF NOT EXISTS `arttype` (
  `artTypeCode` varchar(1) NOT NULL,
  `artTypeDesc` varchar(45) NOT NULL,
  PRIMARY KEY (`artTypeCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Types Article (Matiere, Semi-fini, produit Fini, Negoce)';

-- Contenu de la table `arttype`
-- Notes : F=produit fini fabriqué et vendu, objet de la production.
-- Notes : M=Matière première avec lesquelles on produit les PF.
-- Notes : C=Consommables idem M mais gérées en gros, en tas, non durables dans la vie du PF.
-- Notes : N= négoce : Matière vendue sans transformation = PF acheté à un fournisseur et vendu tel que.
-- Notes : S= Semi-fini : Article de transit de production. en général non vendu, géré en stock, sous-ensemble réutilisé dans un PF, parfois sous-traité

INSERT INTO `arttype` (`artTypeCode`, `artTypeDesc`) VALUES
('C', 'Consommable'),
('F', 'Produit fini'),
('M', 'Matière première'),
('N', 'Produit de négoce'),
('S', 'Produit semi-fini');
-- --------------------------------------------------------
-- Structure de la table `cdeclient`
CREATE TABLE IF NOT EXISTS `cdeclient` (
  `cdeNum` int(11) NOT NULL AUTO_INCREMENT,
  `cdeDate` date NOT NULL,
  `cliNum` int(11) NOT NULL,
  `cdeRemiseGlobale` int(11) NOT NULL,
  `transCode` int(3) NOT NULL,
  `paiemtCode` int(3) NOT NULL,
  `cdeStatut` int(1) NOT NULL DEFAULT '0' COMMENT '0=autoriser livraison, 1=autoriser prod, 2=autoriser appro, 4=previsionnel',
  `cdeEtat` int(1) NOT NULL DEFAULT '0' COMMENT '0=new/devis, 1=order, 2=shipped, 4=invoiced 8=payed, 32=cancel',
  PRIMARY KEY (`cdeNum`),
  KEY `fk_cdeClient` (`cliNum`),
  KEY `paiemtCode` (`paiemtCode`),
  KEY `transCode` (`transCode`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Commandes';
-- --------------------------------------------------------
-- Structure de la table `cdefour`
CREATE TABLE IF NOT EXISTS `cdefour` (
  `cdeNum` int(11) NOT NULL AUTO_INCREMENT,
  `cdeDate` date NOT NULL,
  `fourNum` int(11) NOT NULL,
  `cdeEtat` int(2) NOT NULL DEFAULT '0' COMMENT '0=new/devis, 1=ordered, 2=shipped, 4=invoiced 8=billed, 16=done, 32=cancelled => 3=ordered+shipped',
  PRIMARY KEY (`cdeNum`),
  KEY `fourNum` (`fourNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
-- Structure de la table `cptaJournal` ; pour l'instant encore aucune clé étrangère définie.
CREATE TABLE IF NOT EXISTS `cptajournal` (
  `cjourNum` int(11) NOT NULL AUTO_INCREMENT COMMENT 'numéro de mouvement',
  `cjourDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'date',
  `cptNum` varchar(11) NOT NULL COMMENT 'Num compte concerné',
  `cjourSens` enum('d','c') NOT NULL DEFAULT 'd' COMMENT 'Sens du mouvement d=débit, c=crédit',
  `cjourValeur` float(15,5) NOT NULL COMMENT 'Valeur du mouvement',
  `cjourRefNum` varchar(20) NOT NULL COMMENT 'Num de transaction concernée (CD, OF, ...)',
  `artCode` varchar(8) NOT NULL COMMENT 'Article concerné (peut être vide)',
  `cjourMotif` varchar(50) NOT NULL,
  PRIMARY KEY (`cjourNum`),
  KEY `cptNum` (`cptNum`),
  KEY `artCode` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Journal de comptabilité';
-- --------------------------------------------------------
-- Structure de la table `cptatypcompte` : comptes de la comptabilité française,
-- 		Donnée insérées en fin de fichier.
CREATE TABLE IF NOT EXISTS `cptatypcompte` (
  `cptNum` varchar(11) NOT NULL COMMENT 'Numero compte',
  `cptDesc` varchar(150) NOT NULL,
  `cptText` text NOT NULL,
  `cptClasse` enum('1','2','3','4','5','6','7','8') NOT NULL COMMENT 'classe de compte - not used',
  `cptType` enum('Compte de Bilan','Compte de resultat','Document annexe') NOT NULL DEFAULT 'Compte de Bilan' COMMENT 'type de compte - not used',
  `cptUsed` enum('0','1') NOT NULL DEFAULT '1' COMMENT 'Compte utilise 0=non, 1=oui',
  PRIMARY KEY (`cptNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Nomenclature, Liste des comptes';
-- --------------------------------------------------------
-- Structure de la table `fourArt`
CREATE TABLE IF NOT EXISTS `fourArt` (
  `artCode` varchar(8) NOT NULL,
  `tierNum` int(11) NOT NULL,
  `prixHT` float(15,5) NOT NULL DEFAULT '0.00000',
  `lotMini` float(9,2) NOT NULL DEFAULT '0.00',
  `multipleLotMini` float(9,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`artCode`,`tierNum`),
  KEY `fk_fourArtArt` (`artCode`),
  KEY `fk_fourArtFour` (`tierNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Association des articles aux fournisseurs';
-- --------------------------------------------------------
-- Structure de la table `lignecdeclientart`
CREATE TABLE IF NOT EXISTS `lignecdeclientart` (
  `cdeNum` int(11) NOT NULL,
  `artCode` varchar(8) NOT NULL,
  `qte` float NOT NULL,
  `qteShipped` float NOT NULL COMMENT 'Qté livrée',
  `qteInvoiced` float NOT NULL COMMENT 'qte facturee',
  `ligneRemiseArticle` float DEFAULT NULL,
  `ligneEtat` int(2) NOT NULL DEFAULT '0' COMMENT '0=new/devis, 1=ordered, 2=shipped, 4=invoiced, 8=payed, 16=done, 32=cancelled => 3=ordered+shipped',
  PRIMARY KEY (`artCode`,`cdeNum`),
  KEY `fk_ligneCde` (`cdeNum`),
  KEY `fk_ligneArticle` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Lignes de commande, associaion Cde-Article';
-- --------------------------------------------------------
-- Structure de la table `lignecdefourart`
CREATE TABLE IF NOT EXISTS `lignecdefourart` (
  `cdeNum` int(11) NOT NULL,
  `artCode` varchar(8) NOT NULL,
  `qte` float NOT NULL,
  `qteRecieved` float NOT NULL COMMENT 'qté receptionnee ok',
  `ligneRemiseArticle` float NOT NULL,
  `ligneEtat` int(2) NOT NULL DEFAULT '0' COMMENT '0=new/devis, 1=ordered, 2=shipped, 4=invoiced, 8=billed, 16=done, 32=cancelled => 3=ordered+shipped',
  KEY `cdeNum` (`cdeNum`,`artCode`),
  KEY `artCode` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
-- Structure de la table `modepaiement`
CREATE TABLE IF NOT EXISTS `modepaiement` (
  `code` int(3) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(50) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- Contenu de la table `modepaiement`
INSERT INTO `modepaiement` (`code`, `libelle`) VALUES
(1, 'Chèque banquaire accompagnant la commande'),
(2, 'Mandat accompagnant la commande'),
(3, 'Carte bancaire');

-- --------------------------------------------------------
-- Structure de la table `modetransport`
CREATE TABLE IF NOT EXISTS `modetransport` (
  `code` int(3) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(70) NOT NULL,
  `prixHT` float(15,5) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

-- Contenu de la table `modetransport`
INSERT INTO `modetransport` (`code`, `libelle`, `prixHT`) VALUES
(1, 'Lettre Max (2,18/20g, 1Kg maxi)', 2.18000),
(2, 'Colissimo Emballage (7,95 à 14,50 selon volume/masse 7Kg Max)', 12.00000),
(3, 'Colissimo Simple (5,23 EUR/250g, max 30Kg)', 5.23000),
(4, 'Chronopost max 10Kg (selon tarifs La Poste)', 20.00000),
(5, 'Chronopost max 30Kg (selon tarifs La Poste)', 30.00000),
(6, 'Colis postal éco (selon volume/masse)', 20.00000),
(7, 'Transporteur (entre 15 et 50 EUR)', 30.00000),
(8, 'Colis Suivi (entre 12 et 25 EUR)', 20.00000),
(9, 'Colis Express (entre 12 et 25 EUR)', 20.00000),
(10, 'Relais Colis (5 EUR)', 5.00000);
-- --------------------------------------------------------
-- Structure de la table `mrpbesoins`
CREATE TABLE IF NOT EXISTS `mrpbesoins` (
  `artCode` varchar(15) NOT NULL,
  `besDate` date NOT NULL,
  `besQte` int(9) NOT NULL,
  `besOrig` varchar(2) NOT NULL COMMENT 'origine du besoin',
  `besType` int(1) NOT NULL COMMENT 'type 1=ferme, 4=prev',
  `besRef` varchar(30) NOT NULL COMMENT 'origine du besoin (cc, op, ...)+num',
  `besLevel` int(1) NOT NULL COMMENT 'niveau du besoin 1=pf, n=mp',
  PRIMARY KEY (`artCode`,`besDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='besoins calcules';
-- --------------------------------------------------------
-- Structure de la table `mrpressources`
-- 		Pas de clé primaire car les ressources peuvent venir de différents endroits (of, cde four, prévisions, ...)
CREATE TABLE IF NOT EXISTS `mrpressources` (
  `artCode` varchar(15) NOT NULL,
  `resDate` date NOT NULL,
  `resQte` int(9) NOT NULL,
  `resOrig` varchar(2) NOT NULL COMMENT 'origine de la ressource: bp, cf, ...',
  `resType` int(1) NOT NULL COMMENT 'type 1=ferme, 4=prev',
  `resRef` varchar(15) NOT NULL COMMENT 'origine de la ressource (cf, bp, of, oa, ...)+num',
  `resLevel` int(1) NOT NULL COMMENT 'niveau de besoin 1=pf, n=matière',
  KEY `mrpressources_ibfk_1` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='ressources calculees';
-- --------------------------------------------------------
-- Structure de la table `ofgamme`
CREATE TABLE IF NOT EXISTS `ofgamme` (
  `ofNum` int(11) NOT NULL,
  `opNum` int(11) NOT NULL COMMENT 'reference opNum dans ArtGamme !via of',
  `opDateDeb` date NOT NULL,
  `opDateFin` date NOT NULL,
  `opDureeReelle` float DEFAULT NULL,
  `opUniteTemps` ENUM( 's', 'm', 'd', 'M', 'Y' ) NOT NULL DEFAULT 'm',
  `opQteFinie` float DEFAULT NULL,
  `opQteRejetee` float DEFAULT NULL,
  `opEtat` int(1) NOT NULL DEFAULT '0' COMMENT '0=new, 1=en cours de prod, 2=produit, 4=terminé ?, 9=annulé',
  PRIMARY KEY (`ofNum`,`opNum`),
  KEY `fk_ofGamme` (`ofNum`),
  KEY `fk_opNum` (`opNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gamme de OF - copie de ArtGamme ';
-- --------------------------------------------------------
-- Structure de la table `ofnomenclature`
-- Attention, si opNum est aussi dans la clé primaire, c'est parce qu'on pourrait avoir un article consommé deux fois, à des opérations différentes
CREATE TABLE IF NOT EXISTS `ofnomenclature` (
  `ofNum` int(11) NOT NULL,
  `ofComp_artCode` varchar(8) NOT NULL,
  `opNum` int(11) NOT NULL,
  `ofQteTheo` float NOT NULL,
  `ofQteConsommee` float DEFAULT NULL COMMENT 'quantité réelle consommée',
  PRIMARY KEY (`ofNum`,`ofComp_artCode`,`opNum`),
  KEY `fk_ofNomenclature` (`ofNum`),
  KEY `idx_Nomanclature` (`ofComp_artCode`,`opNum`),
  KEY `idx_ofOpGamme` (`ofNum`,`opNum`),
  KEY `fk_ofComposant` (`ofComp_artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Nomenclature OF - copie de artNomenclature';

-- --------------------------------------------------------
-- Structure de la table `ordfab`
CREATE TABLE IF NOT EXISTS `ordfab` (
  `ofNum` int(11) NOT NULL AUTO_INCREMENT,
  `artCode` varchar(8) NOT NULL,
  `ofQte` float NOT NULL,
  `ofQteFab` float NOT NULL,
  `ofDateDeb` date NOT NULL,
  `ofDateFin` date NOT NULL,
  `ofDateType` ENUM( 'L', 'E', 'F' ) NOT NULL DEFAULT 'L' COMMENT 'L=date de lancement, E=date d''échéance, F=dates fixes',
  `ofDuree` float DEFAULT NULL,
  `ofUniteTemps` ENUM( 's', 'm', 'd', 'M', 'Y' ) NOT NULL DEFAULT 'm',
  `ofEtat` int(1) NOT NULL DEFAULT '0' COMMENT '0=new, 1=en cours de prod, 2=produit, 4=termine ?, 9=annule',
  PRIMARY KEY (`ofNum`,`artCode`),
  KEY `fk_ofArticle` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Ordre de fabrication';
-- --------------------------------------------------------
-- Structure de la table `panier`
CREATE TABLE IF NOT EXISTS `panier` (
  `panierId` varchar(40) NOT NULL,
  `panierDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `invNom` varchar(50) NOT NULL,
  `invAdress` varchar(250) NOT NULL,
  `invPaysCode` varchar(3) NOT NULL,
  `invMail` varchar(50) NOT NULL,
  `invTel` varchar(15) NOT NULL,
  `delIsInv` varchar(1) NOT NULL,
  `delNom` varchar(50) NOT NULL,
  `delAdress` varchar(250) NOT NULL,
  `delPaysCode` varchar(3) NOT NULL,
  `delMail` varchar(50) NOT NULL,
  `delTel` varchar(15) NOT NULL,
  `payMode` int(3) NOT NULL,
  `transMode` int(3) NOT NULL,
  `tierNum` int(11) NOT NULL,
  `cdeNum` int(11) NOT NULL Comment 'num de la cde résultante',
  `status` int(1) NOT NULL COMMENT '0=encours, 1=en cours de validation, 2=validé, 9=annulé',
  PRIMARY KEY (`panierId`),
  KEY `tierNum` (`tierNum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Panier des achats en lignes';
-- --------------------------------------------------------
-- Structure de la table `panierarticle`
CREATE TABLE IF NOT EXISTS `panierarticle` (
  `panierId` varchar(40) NOT NULL,
  `artCode` varchar(8) NOT NULL,
  `panierQty` float(9,2) NOT NULL,
  `panierDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` int(1) NOT NULL COMMENT 'voir panier',
  PRIMARY KEY (`panierId`,`artCode`),
  KEY `panierArticle_ibfk_2` (`artCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Articles du panier d''achats';
-- --------------------------------------------------------
-- Structure de la table `param` : paramètre de base de l'application (tva, société, ...)
-- 	V1.1.1 : ajout gestion type de valeur, valeur numérique et description du paramètre
CREATE TABLE IF NOT EXISTS `param` (
  `parmNum` int(11) NOT NULL AUTO_INCREMENT,
  `parmCode` varchar(6) NOT NULL,
  `parmType` enum('A','N','B') NOT NULL DEFAULT 'A' COMMENT 'tpe : A=Alpha, N=Numerique, B=Both',
  `parmDesc` varchar(30)  NOT NULL,
  `parmValue` float(15,5)  DEFAULT "0.00000" NOT NULL,
  `parmText` varchar(250)  NOT NULL,
  PRIMARY KEY (`parmNum`),
  UNIQUE KEY `parmCode` (`parmCode`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Parametrage de l''application';
-- Contenu de la table `param`
INSERT INTO `param` (`parmNum`, `parmCode`, `parmType`, `parmDesc`, `parmValue`, `parmText`) VALUES
(1, 'TVA', 		'N', 'Taux global de TVA', 	20, 	'TVA taux normal'),
(2, 'TVA55',	'N', 'Taux TVA reduite', 	5.5, 	'TVA taux reduit'),
(3, 'SOCNOM', 	'A', 'Raison sociale', 		0, 		'Raison sociale'),
(4, 'SOCADR', 	'A', 'Adresse, rue', 		0, 		'numero et rue'),
(5, 'SOCCP', 	'A', 'Adresse CP', 			0, 		'00000'),
(6, 'SOCVIL', 	'A', 'Adresse, Ville', 		0, 		'VILLE'),
(7, 'SOCCAP', 	'B', 'Chiffre d''affaire', 	0, 		'000 000€'),
(8, 'SOCSIR', 	'A', 'Numéro SIRET', 		0, 		'123456789 12341');
-- --------------------------------------------------------
-- Structure de la table `pays`
CREATE TABLE IF NOT EXISTS `pays` (
  `code` varchar(3) NOT NULL,
  `libelle` varchar(50) NOT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
-- Contenu de la table `pays`
INSERT INTO `pays` (`code`, `libelle`) VALUES
('AND', 'Andorre'),
('AUS', 'Osterreich'),
('BEL', 'Belgique'),
('ESP', 'Espana'),
('FRA', 'France'),
('GBR', 'Great Britain'),
('GER', 'Deutchland'),
('HEL', 'Suisse'),
('ITL', 'Italia'),
('LUX', 'Luxembourg'),
('NLD', 'Pays Bas'),
('POL', 'Pologne'),
('POR', 'Portugal'),
('USA', 'United Nation of America');
-- --------------------------------------------------------
-- Structure de la table `stockmvt`
CREATE TABLE IF NOT EXISTS `stockmvt` (
  `mvtNum` int(11) NOT NULL AUTO_INCREMENT,
  `mvtCode` varchar(8) NOT NULL,
  `mvtDate` date NOT NULL,
  `mvtArt` varchar(8) NOT NULL,
  `mvtQte` float NOT NULL,
  `mvtRefNum` varchar(15) NOT NULL,
  `mvtMotif` varchar(30) NOT NULL,
  PRIMARY KEY (`mvtNum`),
  KEY `mvtArt` (`mvtArt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='mouvements de stock';
-- --------------------------------------------------------
-- Structure de la table `tier`
-- pas d'identification en tant que fournisseur ou client. C'est la relation avec l'entrerprise qui qualifie un tier (cdes client ou cdes four)
-- prévoir éventuellement des extensions client ou fournisseur pour des champs spécifiques : /ex. conditions de paiement (four), adresses de livraison (cli), ...
CREATE TABLE IF NOT EXISTS `tier` (
  `tierNum` int(11) NOT NULL AUTO_INCREMENT,
  `tierRaisonSociale` varchar(50) NOT NULL,
  `tierAdresse` varchar(150) DEFAULT NULL,
  `paysCode` varchar(3) NOT NULL,
  `tierRemiseTier` float(4,2) DEFAULT NULL,
  `tierLogin` varchar(15) NOT NULL,
  `tierMot2Pass` varchar(40) NOT NULL,
  `tierTypeCode` ENUM( 'c', 'f', 'b' ) NOT NULL DEFAULT 'c' COMMENT 'c=client, f=fournisseur, b=both (les deux)',
   `tierPayCode` INT( 8 ) NOT NULL DEFAULT '0' COMMENT 'Code conditions de paiement',
  `tierDelai` INT( 3 ) NOT NULL DEFAULT '0' COMMENT 'Spé fournisseur : Nbre de jours de délai d''appro',
  PRIMARY KEY (`tierNum`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Tiers=Clients et fournisseurs';
-- --------------------------------------------------------
-- Structure de la table `users`
-- non encore utilisée, en prévision d'un accès réservé à certaines parties de l'application
CREATE TABLE IF NOT EXISTS `users` (
  `user_id` int(6) NOT NULL AUTO_INCREMENT,
  `user_login` varchar(30) NOT NULL,
  `user_pass` varchar(30) NOT NULL,
  `userName` varchar(30) NOT NULL,
  `user_catid` varchar(1) NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 COMMENT='Mdp en clair !! = a changer';
INSERT INTO `users` (`user_id`, `user_login`, `user_pass`, `userName`, `user_catid`) VALUES
(1, 'admin', 'admin', 'admin', 'a'),
(2, 'gest', 'gest', 'gestionnaire', 'g');
-- ============================================================================================================
-- Contraintes pour les tables exportées
-- ============================================================================================================
-- --------------------------------------------------------
-- Contraintes pour la table `article`
ALTER TABLE `article`
  ADD CONSTRAINT `fk_artType` FOREIGN KEY (`artTypeCode`) REFERENCES `arttype` (`artTypeCode`) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Contraintes pour la table `artgamme`
ALTER TABLE `artgamme`
  ADD CONSTRAINT `fk_gammeArticle` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Contraintes pour la table `artnomenclature`
ALTER TABLE `artnomenclature`
  ADD CONSTRAINT `artnomenclature_ibfk_2` FOREIGN KEY (`comp_artCode`) REFERENCES `article` (`artCode`),
  ADD CONSTRAINT `artnomenclature_ibfk_1` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`);

-- Contraintes pour la table `cdeclient`
ALTER TABLE `cdeclient`
  ADD CONSTRAINT `cdeclient_ibfk_1` FOREIGN KEY (`transCode`) REFERENCES `modetransport` (`code`),
  ADD CONSTRAINT `cdeclient_ibfk_2` FOREIGN KEY (`paiemtCode`) REFERENCES `modepaiement` (`code`),
  ADD CONSTRAINT `cdeclient_ibfk_3` FOREIGN KEY (`cliNum`) REFERENCES `tier` (`tierNum`);

-- Contraintes pour la table `cdefour`
ALTER TABLE `cdefour`
  ADD CONSTRAINT `cdefour_ibfk_1` FOREIGN KEY (`fourNum`) REFERENCES `tier` (`tierNum`);

-- Contraintes pour la table `fourart`
ALTER TABLE `fourart`
  ADD CONSTRAINT `fourart_ibfk_2` FOREIGN KEY (`tierNum`) REFERENCES `tier` (`tierNum`),
  ADD CONSTRAINT `fourart_ibfk_1` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`);

-- Contraintes pour la table `lignecdeclientart`
ALTER TABLE `lignecdeclientart`
  ADD CONSTRAINT `lignecdeclientart_ibfk_1` FOREIGN KEY (`cdeNum`) REFERENCES `cdeclient` (`cdeNum`);

-- Contraintes pour la table `lignecdefourart`
ALTER TABLE `lignecdefourart`
  ADD CONSTRAINT `lignecdefourart_ibfk_1` FOREIGN KEY (`cdeNum`) REFERENCES `cdefour` (`cdeNum`),
  ADD CONSTRAINT `lignecdefourart_ibfk_2` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`);

  -- Contraintes pour la table `mrpbesoins`
ALTER TABLE `mrpbesoins`
  ADD CONSTRAINT `mrpbesoins_ibfk_1` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`);

-- Contraintes pour la table `mrpressources`
ALTER TABLE `mrpressources`
  ADD CONSTRAINT `mrpressources_ibfk_1` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`);

-- Contraintes pour la table `panier`
-- 	Note : pas de contrainte, les champs clé étrangères ne sont pas remplis lors de la première écriture.

-- Contraintes pour la table `panierarticle`
ALTER TABLE `panierarticle`
  ADD CONSTRAINT `panierArticle_ibfk_1` FOREIGN KEY (`panierId`) REFERENCES `panier` (`panierId`),
  ADD CONSTRAINT `panierArticle_ibfk_2` FOREIGN KEY (`artCode`) REFERENCES `article` (`artCode`);

-- --------------------------------------------------------
-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Mar 30 Décembre 2014 à 10:30
-- Version du serveur: 5.5.24-log
-- Version de PHP: 5.4.3

-- --------------------------------------------------------
 -- Insertion des comptes de comptabilité francaise
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("1"	, "Comptes de capitaux", "", '1'),
("10"	, "Capital et réserves", "", '1'),
("101"	, "Capital", "", '1'),
("1011"	, "Capital souscrit - non appelé", "", '1'),
("1012"	, "Capital souscrit - appelé, non versé", "", '1'),
("1013"	, "Capital souscrit - appelé, versé", "", '1'),
("10131"	, "Capital non amorti", "", '1'),
("10132"	, "Capital amorti", "", '1'),
("1018"	, "Capital souscrit soumis à des réglementations particulières", "", '1'),
("102"	, "Fonds fiduciaire", "", '1'),
("104"	, "Primes liées au capital social", "", '1'),
("1041"	, "Primes d'émission", "", '1'),
("1042"	, "Primes de fusion", "", '1'),
("1043"	, "Primes d'apport", "", '1'),
("1044"	, "Primes de conversion d'obligations en actions", "", '1'),
("1045"	, "Bons de souscription d'actions", "", '1'),
("105"	, "Écarts de réévaluation", "", '1'),
("1051"	, "Réserve spéciale de réévaluation", "", '1'),
("1052"	, "Écart de réévaluation libre", "", '1'),
("1053"	, "Réserve de réévaluation", "", '1'),
("1055"	, "Écarts de réévaluation (autres opérations légales)", "", '1'),
("1057"	, "Autres écarts de réévaluation en France", "", '1'),
("1058"	, "Autres écarts de réévaluation à l'Étranger", "", '1'),
("106"	, "Réserves", "", '1'),
("1061"	, "Réserve légale", "", '1'),
("10611"	, "Réserve légale proprement dite", "", '1'),
("10612"	, "Plus-values nettes à long terme", "", '1'),
("1062"	, "Réserves indisponibles", "", '1'),
("1063"	, "Réserves statutaires ou contractuelles", "", '1'),
("1064"	, "Réserves réglementées", "", '1'),
("10641"	, "Plus-values nettes à long terme", "", '1'),
("10643"	, "Réserves consécutives à l'octroi de subventions d'investissement", "", '1'),
("10648"	, "Autres réserves réglementées", "", '1'),
("1068"	, "Autres réserves", "", '1'),
("10681"	, "Réserve de propre assureur", "", '1'),
("10688"	, "Réserves diverses", "", '1'),
("107"	, "Écart d'équivalence", "", '1'),
("108"	, "Compte de l'exploitant", "", '1'),
("109"	, "Actionnaires : Capital souscrit - non appelé", "", '1'),
("11"	, "Report à nouveau"	, "Le compte 11 peut être subdivisé afin de distinguer le report à nouveau bénéficiaire et le report à nouveau déficitaire.", '1'),
("110"	, "Report à nouveau (solde créditeur)", "", '1'),
("119"	, "Report à nouveau (solde débiteur)", "", '1'),
("12"	, "Résultat de l'exercice"	, "Le compte 12 enregistre pour solde les comptes de charges et les comptes de produits de l'exercice.", '1'),
("120"	, "Résultat de l'exercice (bénéfice)", "", '1'),
("129"	, "Résultat de l'exercice (perte)", "", '1'),
("13"	, "Subventions d'investissement.", "Les comptes 131, 138, 1391 et 1398 comprennent les sous-comptes suivants dans le plan comptable détaillé : xxx1=État, xxx2=Régions, xxx3=Départements, xxx4=Communes, xxx5=Collectivités publiques, xxx6Entreprises publiques, xxx7=Entreprises et organismes privés, xxx8=Autres.", '1'),
("131"	, "Subventions d'équipement", "", '1'),
("138"	, "Autres subventions d'investissement", "", '1'),
("139"	, "Subventions d'investissement inscrites au compte de résultat", "", '1'),
("1391"	, "Subventions d'équipement", "", '1'),
("1398"	, "Autres subventions d'investissement", "", '1'),
("14"	, "Provisions réglementées"	, "Les provisions réglementées sont des provisions qui ne correspondent pas à l'objet normal d'une provision. Ce sont des avantages fiscaux. Elles sont comptabilisées en application de dispositions légales.", '1'),
("142"	, "Provisions réglementées relatives aux immobilisations", "", '1'),
("1423"	, "Provisions pour reconstitution des gisements miniers et pétroliers", "", '1'),
("1424"	, "Provisions pour investissement (participation des salariés)", "", '1'),
("143"	, "Provisions réglementées relatives aux stocks", "", '1'),
("1431"	, "Hausse des prix", "", '1'),
("1432"	, "Fluctuation des cours", "", '1'),
("144"	, "Provisions réglementées relatives aux autres éléments de l'actif", "", '1'),
("145"	, "Amortissements dérogatoires", "", '1'),
("146"	, "Provision spéciale de réévaluation", "", '1'),
("147"	, "Plus-values réinvesties", "", '1'),
("148"	, "Autres provisions réglementées", "", '1'),
("15"	, "Provisions pour risques et charges", "", '1'),
("151"	, "Provisions pour risques", "", '1'),
("1511"	, "Provisions pour litiges", "", '1'),
("1512"	, "Provisions pour garanties données aux clients", "", '1'),
("1513"	, "Provisions pour pertes sur marchés à terme", "", '1'),
("1514"	, "Provisions pour amendes et pénalités", "", '1'),
("1515"	, "Provisions pour pertes de change", "", '1'),
("1518"	, "Autres provisions pour risques", "", '1'),
("153"	, "Provisions pour pensions et obligations similaires", "", '1'),
("155"	, "Provisions pour impôts", "", '1'),
("156"	, "Provisions pour renouvellement des immobilisations (entreprises concessionnaires)", "", '1'),
("157"	, "Provisions pour charges à répartir sur plusieurs exercices", "", '1'),
("1572"	, "Provisions pour grosses réparations", "", '1'),
("158"	, "Autres provisions pour charges", "", '1'),
("1582"	, "Provisions pour cotisations sociales et fiscales sur congés à payer", "", '1'),
("16"	, "Emprunts et dettes assimilées"	, "Le compte 16 enregistre d'une part les emprunts, d'autre part les dettes financières assimilées à des emprunts, à l'exception de celles enregistrées au compte 17.", '1'),
("161"	, "Emprunts obligataires convertibles Emprunts obligataires dont le remboursement est assorti de primes, pour leur valeur totale, primes de remboursement incluses", "", '1'),
("162"	, "Obligations représentatives de passifs nets remis en fiducie"	, "Compte à utiliser chez le constituant de la fiducie lors du transfert lorsque le montant des éléments de passif excède le montant des éléments d'actif", '1'),
("163"	, "Autres emprunts obligataires Emprunt obligataire, pour la valeur de remboursement des obligations avec bons de souscription d'obligations", "", '1'),
("164"	, "Emprunts auprès des établissements de crédit", "", '1'),
("165"	, "Dépôts et cautionnements reçus", "", '1'),
("1651"	, "Dépôts", "", '1'),
("1655"	, "Cautionnements", "", '1'),
("166"	, "Participation des salariés aux résultats"	, "Fonds non employés et sommes relatives à la création d'un fonds de participation", '1'),
("1661"	, "Comptes bloqués", "", '1'),
("1662"	, "Fonds de participation", "", '1'),
("167"	, "Emprunts et dettes assortis de conditions particulières", "", '1'),
("1671"	, "Émissions de titres participatifs", "", '1'),
("1674"	, "Avances conditionnées de l'État", "", '1'),
("1675"	, "Emprunts participatifs", "", '1'),
("168"	, "Autres emprunts et dettes assimilées", "", '1'),
("1681"	, "Autres emprunts", "", '1'),
("1685"	, "Rentes viagères capitalisées", "", '1'),
("1687"	, "Autres dettes", "", '1'),
("1688"	, "Intérêts courus", "", '1'),
("16881"	, "Intérêts courus Sur emprunts obligataires convertibles", "", '1'),
("16883"	, "Intérêts courus Sur autres emprunts obligataires", "", '1'),
("16884"	, "Intérêts courus Sur emprunts auprès des établissements de crédit", "", '1'),
("16885"	, "Intérêts courus Sur dépôts et cautionnements reçus", "", '1'),
("16886"	, "Intérêts courus Sur participation des salariés aux résultats", "", '1'),
("16887"	, "Intérêts courus Sur emprunts et dettes assortis de conditions particulières", "", '1'),
("16888"	, "Intérêts courus Sur autres emprunts et dettes assimilées", "", '1'),
("169"	, "Primes de remboursement des obligations", "", '1'),
("17"	, "Dettes rattachées à des participations", "", '1'),
("171"	, "Dettes rattachées à des participations (groupe)", "", '1'),
("174"	, "Dettes rattachées à des participations (hors groupe)", "", '1'),
("178"	, "Dettes rattachées à des sociétés en participation", "", '1'),
("1781"	, "Principal", "", '1'),
("1788"	, "Intérêts courus", "", '1'),
("18"	, "Comptes de liaison des établissements et sociétés en participation"	, "Compte utilisé pour comptabiliser des cessions entre établissements, succursales, usines ou ateliers d'une même entité qui tiennent des comptabilités autonomes.", '1'),
("181"	, "Comptes de liaison des établissements", "", '1'),
("186"	, "Biens et prestations de services échangés entre établissements (charges)", "", '1'),
("187"	, "Biens et prestations de services échangés entre établissements (produits)", "", '1'),
("188"	, "Comptes de liaison des sociétés en participation", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("2" , "Comptes d'immobilisations", "", '1'),
("20"	, "Immobilisations incorporelles"	, "Les comptes de la classe2 regroupent les immobilisations incorporelles, les immobilisations corporelles, les immobilisations financières, les amortissements et provisions relatifs aux immobilisations.", '1'),
("201"	, "Frais d'établissement", "", '1'),
("2011"	, "Frais de constitution", "", '1'),
("2012"	, "Frais de premier établissement", "", '1'),
("20121"	, "Frais de prospection", "", '1'),
("20122"	, "Frais de publicité", "", '1'),
("2013"	, "Frais d'augmentation de capital et d'opérations diverses (fusions, scissions, transformations)", "", '1'),
("203"	, "Frais de recherche et de développement", "", '1'),
("205"	, "Concessions et droits similaires, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires", "", '1'),
("206"	, "Droit au bail", "", '1'),
("207"	, "Fonds commercial", "", '1'),
("208"	, "Autres immobilisations incorporelles", "", '1'),
("21"	, "Immobilisations corporelles", "", '1'),
("211"	, "Terrains", "", '1'),
("2111"	, "Terrains nus", "", '1'),
("2112"	, "Terrains aménagés", "", '1'),
("2113"	, "Sous-sols et sur-sols", "", '1'),
("2114"	, "Terrains de gisement", "", '1'),
("21141"	, "Carrières", "", '1'),
("2115"	, "Terrains bâtis", "", '1'),
("21151"	, "Ensembles immobiliers industriels (A, B...)", "", '1'),
("21155"	, "Ensembles immobiliers administratifs et commerciaux (A, B...)", "", '1'),
("21158"	, "Autres ensembles immobiliers", "", '1'),
("211581"	, "Affectés aux opérations professionnelles (A, B...)", "", '1'),
("211588"	, "Affectés aux opérations non professionnelles (A, B...)", "", '1'),
("2116"	, "Compte d'ordre sur immobilisation (art.6 du décret n°78-737 du 11 juillet 1978)", "", '1'),
("212"	, "Agencements et aménagements de terrains (même ventilation que celle du compte211)", "", '1'),
("213"	, "Constructions", "", '1'),
("2131"	, "Bâtiments", "", '1'),
("21311"	, "Ensembles immobiliers industriels (A, B...)", "", '1'),
("21315"	, "Ensembles immobiliers administratifs et commerciaux (A, B...)", "", '1'),
("21318"	, "Autres ensembles immobiliers", "", '1'),
("213181"	, "Affectés aux opérations professionnelles (A, B...)", "", '1'),
("213188"	, "Affectés aux opérations non professionnelles (A, B...)", "", '1'),
("2135"	, "Installations générales, agencements, aménagements des constructions (même ventilation que celle du compte2131)", "", '1'),
("2138"	, "Ouvrages d'infrastructure", "", '1'),
("21381"	, "Voies de terre", "", '1'),
("21382"	, "Voies de fer", "", '1'),
("21383"	, "Voies d'eau", "", '1'),
("21384"	, "Barrages", "", '1'),
("21385"	, "Pistes d'aérodromes", "", '1'),
("214"	, "Constructions sur sol d'autrui (même ventilation que celle du compte213)", "", '1'),
("215"	, "Installations techniques, matériel et outillage industriels", "", '1'),
("2151"	, "Installations complexes spécialisées", "", '1'),
("21511"	, "Installations complexes spécialisées sur sol propre", "", '1'),
("21514"	, "Installations complexes spécialisées sur sol d'autrui", "", '1'),
("2153"	, "Installations à caractère spécifique", "", '1'),
("21531"	, "Installations à caractère spécifique sur sol propre", "", '1'),
("21534"	, "Installations à caractère spécifique sur sol d'autrui", "", '1'),
("2154"	, "Matériel industriel", "", '1'),
("2155"	, "Outillage industriel", "", '1'),
("2157"	, "Agencements et aménagements du matériel et outillage industriels", "", '1'),
("218"	, "Autres immobilisations corporelles", "", '1'),
("2181"	, "Installations générales, agencements, aménagements divers", "", '1'),
("2182"	, "Matériel de transport", "", '1'),
("2183"	, "Matériel de bureau et matériel informatique", "", '1'),
("2184"	, "Mobilier", "", '1'),
("2185"	, "Cheptel", "", '1'),
("2186"	, "Emballages récupérables", "", '1'),
("22"	, "Immobilisations mises en concession", "", '1'),
("221"	, "Constructions !! Ce compte ne fait pas partie du Plan comptable général", "", '1'),
("223"	, "Autres droits réels sur des immeubles !! Ce compte ne fait pas partie du Plan comptable général", "", '1'),
("23"	, "Immobilisations en cours", "", '1'),
("231"	, "Immobilisations corporelles en cours", "", '1'),
("2312"	, "Terrains", "", '1'),
("2313"	, "Constructions", "", '1'),
("2315"	, "Installations techniques, matériel et outillage industriels", "", '1'),
("2318"	, "Autres immobilisations corporelles", "", '1'),
("232"	, "Immobilisations incorporelles en cours", "", '1'),
("237"	, "Avances et acomptes versés sur commandes d'immobilisations incorporelles", "", '1'),
("238"	, "Avances et acomptes versés sur commandes d'immobilisations corporelles", "", '1'),
("2382"	, "Terrains", "", '1'),
("2383"	, "Constructions", "", '1'),
("2385"	, "Installations techniques, matériel et outillage industriels", "", '1'),
("2388"	, "Autres immobilisations corporelles", "", '1'),
("25"	, "Parts dans des entreprises liées et créances sur des entreprises liées.", "", '1'),
("26"	, "Participations et créances rattachées à des participations"	, "Constituent des participations, les droits dans le capital d'établissements publics, semi-publics ou privés (S.E.M.) matérialisés ou non par des titres.", '1'),
("261"	, "Titres de participation", "", '1'),
("2611"	, "Actions", "", '1'),
("2618"	, "Autres titres", "", '1'),
("262"	, "Titres évalués par équivalence", "", '1'),
("266"	, "Autres formes de participation", "", '1'),
("267"	, "Créances rattachées à des participations", "", '1'),
("2671"	, "Créances rattachées à des participations (groupe)", "", '1'),
("2674"	, "Créances rattachées à des participations (hors groupe)", "", '1'),
("2675"	, "Versements représentatifs d'apports non capitalisés (appel de fonds)", "", '1'),
("2676"	, "Avances consolidables", "", '1'),
("2677"	, "Autres créances rattachées à des participations", "", '1'),
("2678"	, "Intérêts courus", "", '1'),
("268"	, "Créances rattachées à des sociétés en participation", "", '1'),
("2681"	, "Principal", "", '1'),
("2688"	, "Intérêts courus", "", '1'),
("269"	, "Versements restant à effectuer sur titres de participation non libérés", "", '1'),
("27"	, "Autres immobilisations financières", "", '1'),
("271"	, "Titres immobilisés autres que les titres immobilisés de l'activité portefeuille (droit de propriété)", "", '1'),
("2711"	, "Actions", "", '1'),
("2718"	, "Autres titres", "", '1'),
("272"	, "Titres immobilisés (droits de créance)", "", '1'),
("2721"	, "Obligations", "", '1'),
("2722"	, "Bons", "", '1'),
("273"	, "Titres immobilisés de l'activité portefeuille (TIAP)", "", '1'),
("274"	, "Prêts", "", '1'),
("2741"	, "Prêts participatifs", "", '1'),
("2742"	, "Prêts aux associés", "", '1'),
("2743"	, "Prêts au personnel", "", '1'),
("2748"	, "Autres prêts", "", '1'),
("275"	, "Dépôts et cautionnements versés", "", '1'),
("2751"	, "Dépôts", "", '1'),
("2755"	, "Cautionnements", "", '1'),
("276"	, "Autres créances immobilisées", "", '1'),
("2761"	, "Créances diverses", "", '1'),
("2768"	, "Intérêts courus", "", '1'),
("27682"	, "Intérêts courus Sur titres immobilisés (droits de créance)", "", '1'),
("27684"	, "Intérêts courus Sur prêts", "", '1'),
("27685"	, "Intérêts courus Sur dépôts et cautionnements", "", '1'),
("27688"	, "Intérêts courus Sur créances diverses", "", '1'),
("277"	, "(Actions propres ou parts propres)", "", '1'),
("2771"	, "Actions propres ou parts propres", "", '1'),
("2772"	, "Actions propres ou parts propres en voie d'annulation", "", '1'),
("279"	, "Versements restant à effectuer sur titres immobilisés non libérés", "", '1'),
("28"	, "Amortissements des immobilisations", "", '1'),
("280"	, "Amortissements des immobilisations incorporelles", "", '1'),
("2801"	, "Frais d'établissement (même ventilation que celle du compte201)", "", '1'),
("2803"	, "Frais de recherche et développement", "", '1'),
("2805"	, "Concessions et droits similaires, brevets, licences, logiciels, droits et valeurs similaires", "", '1'),
("2807"	, "Fonds commercial", "", '1'),
("2808"	, "Autres immobilisations incorporelles", "", '1'),
("281"	, "Amortissements des immobilisations corporelles", "", '1'),
("2811"	, "Terrains de gisement", "", '1'),
("2812"	, "Agencements, aménagements de terrains (même ventilation que celle du compte212)", "", '1'),
("2813"	, "Constructions (même ventilation que celle du compte213)", "", '1'),
("2814"	, "Constructions sur sol d'autrui (même ventilation que celle du compte214)", "", '1'),
("2815"	, "Installations techniques, matériel et outillage industriels (même ventilation que celle du compte215)", "", '1'),
("2818"	, "Autres immobilisations corporelles (même ventilation que celle du compte218)", "", '1'),
("282"	, "Amortissements des immobilisations mises en concession", "", '1'),
("29"	, "Dépréciations des immobilisations", "", '1'),
("290"	, "Dépréciations des immobilisations incorporelles", "", '1'),
("2905"	, "Marques, procédés, droits, et valeurs similaires", "", '1'),
("2906"	, "Droit au bail", "", '1'),
("2907"	, "Fonds commercial", "", '1'),
("2908"	, "Autres immobilisations incorporelles", "", '1'),
("291"	, "Dépréciations des immobilisations corporelles (même ventilation que celle du compte21)", "", '1'),
("2911"	, "Terrains (autres que terrains de gisement)", "", '1'),
("292"	, "Dépréciations des immobilisations mises en concession", "", '1'),
("293"	, "Dépréciations des immobilisations en cours", "", '1'),
("2931"	, "Immobilisations corporelles en cours", "", '1'),
("2932"	, "Immobilisations incorporelles en cours", "", '1'),
("296"	, "Dépréciations des participations et créances rattachées à des participations", "", '1'),
("2961"	, "Titres de participation", "", '1'),
("2966"	, "Autres formes de participation", "", '1'),
("2967"	, "Créances rattachées à des participations (même ventilation que celle du compte267)", "", '1'),
("2968"	, "Créances rattachées à des sociétés en participation (même ventilation que celle du compte268)", "", '1'),
("297"	, "Dépréciations des autres immobilisations financières", "", '1'),
("2971"	, "Titres immobilisés autres que les titres immobilisés de l'activité portefeuille"	, "droit de propriété (même ventilation que celle du compte271)", '1'),
("2972"	, "Titres immobilisés"	, "droit de créance (même ventilation que celle du compte272)", '1'),
("2973"	, "Titres immobilisés de l'activité portefeuille", "", '1'),
("2974"	, "Prêts (même ventilation que celle du compte274)", "", '1'),
("2975"	, "Dépôts et cautionnements versés (même ventilation que celle du compte275)", "", '1'),
("2976"	, "Autres créances immobilisées (même ventilation que celle du compte276).", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("3"	, "Comptes de stocks et en-cours"	, "Il existe deux critères de classement : La nature physique du bien ou la nature du service et L'ordre chronologique du cycle de production : approvisionnement, production en cours, production, stock à revendre en l'état.", '1'),
("31"	, "Matières premières (et fournitures)", "", '1'),
("311"	, "Matières (ou groupe) A", "", '1'),
("312"	, "Matières (ou groupe) B", "", '1'),
("317"	, "Fournitures A, B, C...", "", '1'),
("32"	, "Autres approvisionnements", "", '1'),
("321"	, "Matières consommables", "", '1'),
("3211"	, "Matières (ou groupe) C", "", '1'),
("3212"	, "Matières (ou groupe) D", "", '1'),
("322"	, "Fournitures consommables", "", '1'),
("3221"	, "Combustibles", "", '1'),
("3222"	, "Produits d'entretien", "", '1'),
("3223"	, "Fournitures d'atelier et d'usine", "", '1'),
("3224"	, "Fournitures de magasin", "", '1'),
("3225"	, "Fournitures de bureau", "", '1'),
("326"	, "Emballages", "", '1'),
("3261"	, "Emballages perdus", "", '1'),
("3265"	, "Emballages récupérables non identifiables", "", '1'),
("3267"	, "Emballages à usage mixte", "", '1'),
("33"	, "En-cours de production de biens", "", '1'),
("331"	, "Produits en cours", "", '1'),
("3311"	, "Produits en cours P1", "", '1'),
("3312"	, "Produits en cours P2", "", '1'),
("335"	, "Travaux en cours", "", '1'),
("3351"	, "Travaux en cours T1", "", '1'),
("3352"	, "Travaux en cours T2", "", '1'),
("34"	, "En-cours de production de services", "", '1'),
("341"	, "Études en cours", "", '1'),
("3411"	, "Études en cours E1", "", '1'),
("3412"	, "Études en cours E2", "", '1'),
("345"	, "Prestations de service en cours", "", '1'),
("3451"	, "Prestations de services S1", "", '1'),
("3452"	, "Prestations de services S2", "", '1'),
("35"	, "Stocks de produits", "", '1'),
("351"	, "Produits intermédiaires", "", '1'),
("3511"	, "Produits intermédiaires (ou groupe) A", "", '1'),
("3512"	, "Produits intermédiaires (ou groupe) B", "", '1'),
("355"	, "Produits finis", "", '1'),
("3551"	, "Produits finis (ou groupe) A", "", '1'),
("3552"	, "Produits finis (ou groupe) B", "", '1'),
("358"	, "Produits résiduels (ou matières de récupération)", "", '1'),
("3581"	, "Déchets", "", '1'),
("3585"	, "Rebut", "", '1'),
("3586"	, "Matières de récupération", "", '1'),
("36"	, "Stocks provenant d'immobilisations", "", '1'),
("37"	, "Stocks de marchandises", "", '1'),
("371"	, "Marchandises (ou groupe) A", "", '1'),
("372"	, "Marchandises (ou groupe) B", "", '1'),
("38"	, "Stocks en voie d'acheminement, mis en dépôt ou donnés en consignation (en cas d'inventaire en comptabilité générale)", "", '1'),
("39"	, "Dépréciations des stocks et en-cours", "", '1'),
("391"	, "Dépréciations des matières premières (et fournitures)", "", '1'),
("3911"	, "Matières (ou groupe) A", "", '1'),
("3912"	, "Matières (ou groupe) B", "", '1'),
("3917"	, "Fournitures A, B, C...", "", '1'),
("392"	, "Dépréciations des autres approvisionnements", "", '1'),
("3921"	, "Matières consommables (même ventilation que celle du compte321)", "", '1'),
("3922"	, "Fournitures consommables (même ventilation que celle du compte322)", "", '1'),
("3926"	, "Emballages (même ventilation que celle du compte326)", "", '1'),
("393"	, "Dépréciations des en-cours de production de biens", "", '1'),
("3931"	, "Produits en cours (même ventilation que celle du compte331)", "", '1'),
("3935"	, "Travaux en cours (même ventilation que celle du compte335)", "", '1'),
("394"	, "Dépréciations des en-cours de production de services", "", '1'),
("3941"	, "Études en cours (même ventilation que celle du compte341)", "", '1'),
("3945"	, "Prestations de services en cours (même ventilation que celle du compte345)", "", '1'),
("395"	, "Dépréciations des stocks de produits", "", '1'),
("3951"	, "Produits intermédiaires (même ventilation que celle du compte351)", "", '1'),
("3955"	, "Produits finis (même ventilation que celle du compte355)", "", '1'),
("397"	, "Dépréciations des stocks de marchandises", "", '1'),
("3971"	, "Marchandises (ou groupe) A", "", '1'),
("3972"	, "Marchandises (ou groupe) B", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("4"	, "Comptes de tiers"	, "Il enregistrent : les créances et les dettes liées à des opérations non exclusivement financières faites en général à court terme - les écritures de régularisation des charges et des produits.", '1'),
("40"	, "Fournisseurs et comptes rattachés", "", '1'),
("400"	, "Fournisseurs et comptes rattachés", "", '1'),
("401"	, "Fournisseurs", "", '1'),
("4011"	, "Fournisseurs - Achats de biens ou de prestations de services", "", '1'),
("4017"	, "Fournisseurs - Retenues de garantie", "", '1'),
("403"	, "Fournisseurs - Effets à payer", "", '1'),
("404"	, "Fournisseurs d'immobilisations", "", '1'),
("4041"	, "Fournisseurs - Achats d'immobilisations", "", '1'),
("4047"	, "Fournisseurs d'immobilisations - Retenues de garantie", "", '1'),
("405"	, "Fournisseurs d'immobilisation - Effets à payer", "", '1'),
("408"	, "Fournisseurs - Factures non parvenues", "", '1'),
("4081"	, "Fournisseurs", "", '1'),
("4084"	, "Fournisseurs d'immobilisations", "", '1'),
("4088"	, "Fournisseurs - Intérêts courus", "", '1'),
("409"	, "Fournisseurs débiteurs", "", '1'),
("4091"	, "Fournisseurs - Avances et acomptes versés sur commandes", "", '1'),
("4096"	, "Fournisseurs - Créances pour emballages et matériel à rendre", "", '1'),
("4097"	, "Fournisseurs - Autres Avoirs", "", '1'),
("40971"	, "Fournisseurs d'exploitation", "", '1'),
("40974"	, "Fournisseurs d'immobilisations", "", '1'),
("4098"	, "Rabais, remises, ristournes à obtenir et autres avoirs non encore reçus", "", '1'),
("41"	, "Clients et comptes rattachés", "", '1'),
("410"	, "Clients et comptes rattachés", "", '1'),
("411"	, "Clients", "", '1'),
("4111"	, "Clients - Ventes de biens ou de prestations de services", "", '1'),
("4117"	, "Clients - Retenues de garantie", "", '1'),
("412"	, "Cotisants", "", '1'),
("413"	, "Clients - Effets à recevoir", "", '1'),
("416"	, "Clients douteux ou litigieux (Supprimé par le règlement n°99-08 du CRC)", "", '1'),
("418"	, "Clients - Produits non encore facturés", "", '1'),
("4181"	, "Clients - Factures à établir", "", '1'),
("4188"	, "Clients - Intérêts courus", "", '1'),
("419"	, "Clients créditeurs", "", '1'),
("4191"	, "Clients - Avances et acomptes reçus sur commandes", "", '1'),
("4196"	, "Clients - Dettes pour emballages et matériels consignés", "", '1'),
("4197"	, "Clients - Autres avoirs", "", '1'),
("4198"	, "Rabais, remises, ristournes à accorder et autres avoirs à établir", "", '1'),
("42"	, "Personnel et comptes rattachés", "", '1'),
("421"	, "Personnel - Rémunérations dues", "", '1'),
("422"	, "Comités d'entreprise, d'établissement...", "", '1'),
("423"	, "Notes de frais !! compte non indiqué dans le PCG, c'est un compte issu de la pratique", "", '1'),
("424"	, "Participations des salariés aux résultats", "", '1'),
("4246"	, "Réserve spéciale (art. L 442-2 du Code du travail)", "", '1'),
("4248"	, "Compte courants", "", '1'),
("425"	, "Personnel - Avances et acomptes", "", '1'),
("426"	, "Personnel - Dépôts", "", '1'),
("427"	, "Personnel - Oppositions", "", '1'),
("428"	, "Personnel - Charges à payer et produits à recevoir", "", '1'),
("4282"	, "Dettes provisionnées pour congés à payer", "", '1'),
("4284"	, "Dettes provisionnées pour participation des salariés aux résultats", "", '1'),
("4286"	, "Autres charges à payer", "", '1'),
("4287"	, "Produits à recevoir", "", '1'),
("43"	, "Sécurité sociale et autres organismes sociaux", "", '1'),
("431"	, "Sécurité sociale", "", '1'),
("437"	, "Autres organismes sociaux", "", '1'),
("438"	, "Organismes sociaux - Charges à payer et produits à recevoir", "", '1'),
("4382"	, "Cotisations sociales sur congés à payer", "", '1'),
("4386"	, "Autres charges à payer", "", '1'),
("4387"	, "Produits à recevoir", "", '1'),
("44"	, "État et autres collectivités publiques", "", '1'),
("441"	, "État - Subventions à recevoir", "", '1'),
("4411"	, "Subventions d'investissement", "", '1'),
("4417"	, "Subventions d'exploitation", "", '1'),
("4418"	, "Subventions d'équilibre", "", '1'),
("4419"	, "Avances sur subventions", "", '1'),
("442"	, "État - Impôts et taxes recouvrables sur des tiers", "", '1'),
("4424"	, "Obligataires", "", '1'),
("4425"	, "Associés", "", '1'),
("443"	, "Opérations particulières avec l'État, les collectivités publiques, les organismes internationaux", "", '1'),
("4431"	, "Créances sur l'État résultant de la suppression de la règle du décalage d'un mois en matière de TVA", "", '1'),
("4438"	, "Intérêts courus sur créances figurant au compte4431", "", '1'),
("444"	, "État - Impôts sur les bénéfices", "", '1'),
("445"	, "État - Taxes sur le chiffre d'affaires", "", '1'),
("4452"	, "TVA due intracommunautaire", "", '1'),
("4455"	, "Taxes sur le chiffre d'affaires à décaisser", "", '1'),
("44551"	, "TVA à décaisser", "", '1'),
("44558"	, "Taxes assimilées à la TVA", "", '1'),
("4456"	, "Taxes sur le chiffre d'affaires déductibles", "", '1'),
("44562"	, "TVA (déductible) sur immobilisations", "", '1'),
("44563"	, "TVA (déductible) transférée par d'autres entreprises", "", '1'),
("44566"	, "TVA (déductible) sur autres biens et services", "", '1'),
("44567"	, "Crédit de TVA à reporter (déductible)", "", '1'),
("44568"	, "Taxes assimilées à la TVA", "", '1'),
("4457"	, "Taxes sur le chiffre d’affaires collectées par l’entreprise", "", '1'),
("44571"	, "TVA collectée", "", '1'),
("44578"	, "Taxes assimilées à la TVA", "", '1'),
("4458"	, "Taxes sur le chiffre d’affaires à régulariser ou en attente", "", '1'),
("44581"	, "Acomptes - Régime simplifié d’imposition", "", '1'),
("44582"	, "Acomptes - Régime du forfait", "", '1'),
("44583"	, "Remboursement de taxes sur le chiffre d’affaires demandé", "", '1'),
("44584"	, "TVA récupérée d’avance", "", '1'),
("44586"	, "Taxes sur le chiffre d’affaires sur factures non parvenues", "", '1'),
("44587"	, "Taxes sur le chiffre d’affaires sur factures à établir", "", '1'),
("446"	, "Obligations cautionnées", "", '1'),
("447"	, "Autres impôts, taxes et versements assimilés", "", '1'),
("448"	, "État - Charges à payer et produits à recevoir", "", '1'),
("4482"	, "Charges fiscales sur congés à payer", "", '1'),
("4486"	, "Charges à payer", "", '1'),
("4487"	, "Produits à recevoir", "", '1'),
("449"	, "Quotas d'émission à restituer à l'État", "", '1'),
("45"	, "Groupe et associés", "", '1'),
("451"	, "Groupe", "", '1'),
("455"	, "Associés - Comptes courants", "", '1'),
("4551"	, "Principal", "", '1'),
("4558"	, "Intérêts courus", "", '1'),
("456"	, "Associés - Opérations sur le capital", "", '1'),
("4561"	, "Associés - Comptes d'apport en société", "", '1'),
("45611"	, "Apports en nature", "", '1'),
("45615"	, "Apports en numéraire", "", '1'),
("4562"	, "Apporteurs - Capital appelé non versé", "", '1'),
("45621"	, "Actionnaires - Capital souscrit et appelé, non versé", "", '1'),
("45625"	, "Associés - Capital appelé, non versé", "", '1'),
("4563"	, "Associés - Versements reçus sur augmentation de capital", "", '1'),
("4564"	, "Associés - Versements anticipés", "", '1'),
("4566"	, "Actionnaires défaillants", "", '1'),
("4567"	, "Associés - Capital à rembourser", "", '1'),
("457"	, "Associés - Dividendes à payer", "", '1'),
("458"	, "Associés - Opérations faites en commun et en G.I.E.", "", '1'),
("4581"	, "Opérations courantes", "", '1'),
("4588"	, "Intérêts courus", "", '1'),
("46"	, "Débiteurs divers et créditeurs divers", "", '1'),
("462"	, "Créances sur cessions d'immobilisations", "", '1'),
("464"	, "Dettes sur acquisitions de valeurs mobilières de placement", "", '1'),
("465"	, "Créances sur cessions de valeurs mobilières de placement", "", '1'),
("467"	, "Autres comptes débiteurs ou créditeurs", "", '1'),
("468"	, "Divers - Charges à payer et produits à recevoir", "", '1'),
("4686"	, "Charges à payer", "", '1'),
("4687"	, "Produits à recevoir", "", '1'),
("47"	, "Comptes transitoires ou d'attente", "", '1'),
("471"	, "Comptes d'attente", "", '1'),
("472"	, "Comptes d'attente", "", '1'),
("473"	, "Comptes d'attente", "", '1'),
("474"	, "Comptes d'attente", "", '1'),
("475"	, "Comptes d'attente", "", '1'),
("476"	, "Différence de conversion - Actif", "", '1'),
("4761"	, "Diminution des créances", "", '1'),
("4762"	, "Augmentation des dettes", "", '1'),
("4768"	, "Différences compensées par couverture de change", "", '1'),
("477"	, "Différences de conversion - Passif", "", '1'),
("4771"	, "Augmentation des créances", "", '1'),
("4772"	, "Diminution des dettes", "", '1'),
("4778"	, "Différences compensées par couverture de change", "", '1'),
("478"	, "Autres comptes transitoires", "", '1'),
("48"	, "Comptes de régularisation", "", '1'),
("481"	, "Charges à répartir sur plusieurs exercices (Règlement n°2004-06 du CRC)", "", '1'),
("4816"	, "Frais d'émission des emprunts", "", '1'),
("486"	, "Charges constatées d'avance", "", '1'),
("487"	, "Produits constatés d'avance", "", '1'),
("488"	, "Comptes de répartition périodique des charges et des produits", "", '1'),
("4886"	, "Charges", "", '1'),
("4887"	, "Produits", "", '1'),
("489"	, "Quotas d'émission alloués par l'État", "", '1'),
("49"	, "Dépréciations des comptes de tiers", "", '1'),
("491"	, "Dépréciations des comptes de clients", "", '1'),
("495"	, "Dépréciations des comptes du groupe et des associés", "", '1'),
("4951"	, "Comptes du groupe", "", '1'),
("4955"	, "Comptes courants des associés", "", '1'),
("4958"	, "Opérations faites en commun et en GIE", "", '1'),
("496"	, "Dépréciations des comptes de débiteurs divers", "", '1'),
("4962"	, "Créances sur cessions d'immobilisations", "", '1'),
("4965"	, "Créances sur cessions de valeurs mobilières de placement", "", '1'),
("4967"	, "Autres comptes débiteurs", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("5"	, "Comptes financiers"	, "Les comptes de la classe5 enregistrent : les mouvements de valeurs en espèces, chèques, coupons, les opérations faites en liaison avec les intermédiaires financiers, les valeurs mobilières de placement.", '1'),
("50"	, "Valeurs mobilières de placement", "", '1'),
("501"	, "Parts dans des entreprises liées", "", '1'),
("502"	, "Actions propres", "", '1'),
("503"	, "Actions", "", '1'),
("5031"	, "Titres cotés", "", '1'),
("5035"	, "Titres non cotés", "", '1'),
("504"	, "Autres titres conférant un droit de propriété", "", '1'),
("505"	, "Obligations et bons émis par la société et rachetés par elle", "", '1'),
("506"	, "Obligations", "", '1'),
("5061"	, "Titres cotés", "", '1'),
("5065"	, "Titres non cotés", "", '1'),
("507"	, "Bons du Trésor et bons de caisse à court terme", "", '1'),
("508"	, "Autres valeurs mobilières de placement et autres créances assimilées", "", '1'),
("5081"	, "Autres valeurs mobilières", "", '1'),
("5082"	, "Bons de souscription", "", '1'),
("5088"	, "Intérêts courus sur obligations, bons et valeurs assimilés", "", '1'),
("509"	, "Versements restant à effectuer sur valeurs mobilières de placement non libérées", "", '1'),
("51"	, "Banques, établissements financiers et assimilés", "", '1'),
("511"	, "Valeurs à l'encaissement", "", '1'),
("5111"	, "Coupons échus à l'encaissement", "", '1'),
("5112"	, "Chèques à encaisser", "", '1'),
("5113"	, "Effets à l'encaissement", "", '1'),
("5114"	, "Effets à l'escompte", "", '1'),
("512"	, "Banques", "", '1'),
("5121"	, "Comptes en monnaie nationale", "", '1'),
("5124"	, "Comptes en devises", "", '1'),
("514"	, "Chèques postaux", "", '1'),
("515"	, "« Caisses » du Trésor et des établissements publics", "", '1'),
("516"	, "Sociétés de bourse", "", '1'),
("517"	, "Autres organismes financiers", "", '1'),
("518"	, "Intérêts courus", "", '1'),
("5181"	, "Intérêts courus à payer", "", '1'),
("5188"	, "Intérêts à recevoir", "", '1'),
("519"	, "Concours bancaires courants", "", '1'),
("5191"	, "Crédit de mobilisation de créances commerciales (CMCC)", "", '1'),
("5193"	, "Mobilisation de créances nées à l'étranger", "", '1'),
("5198"	, "Intérêts courus sur concours bancaires courants", "", '1'),
("52"	, "Instruments de trésorerie", "", '1'),
("53"	, "Caisse", "", '1'),
("531"	, "Caisse siège social", "", '1'),
("5311"	, "Caisse en monnaie nationale", "", '1'),
("5314"	, "Caisse en devise", "", '1'),
("532"	, "Caisse succursale (ou usine) A", "", '1'),
("533"	, "Caisse succursale (ou usine) B", "", '1'),
("54"	, "Régies d'avances et accréditifs", "", '1'),
("58"	, "Virements internes", "Comptes de passage utilisés pour la comptabilisation pratique d'opérations au terme desquelles ils sont soldés : destinés à permettre la centralisation, sans risque de double emploi des virements de fonds d'un compte de caisse ou de banque à un autre compte de banque ou de caisse et de toute opération faisant l'objet d'un enregistrement dans plusieurs journaux auxiliaires.", '1'),
("59"	, "Dépréciations des comptes financiers", "", '1'),
("590"	, "Dépréciations des valeurs mobilières de placement", "", '1'),
("5903"	, "Actions", "", '1'),
("5904"	, "Autres titres conférant un droit de propriété", "", '1'),
("5906"	, "Obligations", "", '1'),
("5908"	, "Autres valeurs mobilières de placement et créances assimilées", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("6"	, "Comptes de charges", "Regroupe les comptes destinés à enregistrer, dans l'exercice, les charges par nature y compris celles concernant les exercices antérieurs qui se rapportent : à l'exploitation normale et courante de l'entité, à sa gestion financière, à ses opérations exceptionnelles, à la participation des salariés aux résultats et aux impôts sur les bénéfices.", '1'),
("60"	, "Achats (sauf603)", "", '1'),
("601"	, "Achats stockés - Matières premières (et fournitures)", "", '1'),
("6011"	, "Matières (ou groupe) A", "", '1'),
("6012"	, "Matières (ou groupe) B", "", '1'),
("6017"	, "Fournitures A, B, C...", "", '1'),
("602"	, "Achats stockés - Autres approvisionnements", "", '1'),
("6021"	, "Matières consommables", "", '1'),
("60211"	, "Matières (ou groupe) C", "", '1'),
("60212"	, "Matières (ou groupe) D", "", '1'),
("6022"	, "Fournitures consommables", "", '1'),
("60221"	, "Combustibles", "", '1'),
("60222"	, "Produits d'entretien", "", '1'),
("60223"	, "Fournitures d'atelier et d'usine", "", '1'),
("60224"	, "Fournitures de magasin", "", '1'),
("60225"	, "Fournitures de bureau", "", '1'),
("6026"	, "Emballages", "", '1'),
("60261"	, "Emballages perdus", "", '1'),
("60265"	, "Emballages récupérables non identifiables", "", '1'),
("60267"	, "Emballages à usage mixte", "", '1'),
("604"	, "Achats d'études et prestations de services", "", '1'),
("605"	, "Achats de matériel, équipements et travaux", "", '1'),
("606"	, "Achats non stockés de matière et fournitures", "", '1'),
("6061"	, "Fournitures non stockables (eau, énergie, carburant...)", "", '1'),
("6063"	, "Fournitures d'entretien et de petit équipement", "", '1'),
("6064"	, "Fournitures administratives", "", '1'),
("6068"	, "Autres matières et fournitures", "", '1'),
("607"	, "Achats de marchandises", "", '1'),
("6071"	, "Marchandise (ou groupe) A", "", '1'),
("6072"	, "Marchandise (ou groupe) B", "", '1'),
("608"	, "Compte réservé, le cas échéant, à la récapitulation des frais accessoires incorporés aux achats", "", '1'),
("609"	, "Rabais, remises et ristournes obtenus sur achats", "", '1'),
("6091"	, "Rabais, remises et ristournes obtenus sur achats de matières premières (et fournitures)", "", '1'),
("6092"	, "Rabais, remises et ristournes obtenus sur achats  d'autres approvisionnements stockés", "", '1'),
("6094"	, "Rabais, remises et ristournes obtenus sur achats  d'études et de prestations de services", "", '1'),
("6095"	, "Rabais, remises et ristournes obtenus sur achats  de matériel, équipements et travaux", "", '1'),
("6096"	, "Rabais, remises et ristournes obtenus sur achats  d'approvisionnements non stockés", "", '1'),
("6097"	, "Rabais, remises et ristournes obtenus sur achats  de marchandises", "", '1'),
("6098"	, "Rabais, remises et ristournes non affectés", "", '1'),
("603"	, "Variations des stocks (approvisionnements et marchandises)", "", '1'),
("6031"	, "Variation des stocks de matières premières (et fournitures)", "", '1'),
("6032"	, "Variation des stocks des autres approvisionnements", "", '1'),
("6037"	, "Variation des stocks de marchandises", "", '1'),
("61"	, "Autres charges externes, Services extérieurs", "", '1'),
("611"	, "Sous-traitance générale", "", '1'),
("612"	, "Redevances de crédit-bail", "", '1'),
("6122"	, "Crédit-bail immobilier", "", '1'),
("6125"	, "Crédit-bail mobilier", "", '1'),
("613"	, "Locations", "", '1'),
("6132"	, "Locations immobilières", "", '1'),
("6135"	, "Locations mobilières", "", '1'),
("6136"	, "Malis sur les emballages", "", '1'),
("614"	, "Charges locatives et de copropriété", "", '1'),
("615"	, "Entretien et réparations", "", '1'),
("6152"	, "Entretien et réparations sur biens immobiliers", "", '1'),
("6155"	, "Entretien et réparations sur biens mobiliers", "", '1'),
("6156"	, "Maintenance", "", '1'),
("616"	, "Primes d'assurances", "", '1'),
("6161"	, "Multirisques", "", '1'),
("6162"	, "Assurance obligatoire dommage construction", "", '1'),
("6163"	, "Assurance-transport", "", '1'),
("61636"	, "Assurance-transport sur achats", "", '1'),
("61637"	, "Assurance-transport sur ventes", "", '1'),
("61638"	, "Assurance-transport  sur autres biens", "", '1'),
("6164"	, "Risques d'exploitation", "", '1'),
("6165"	, "Insolvabilité clients", "", '1'),
("617"	, "Études et recherches", "", '1'),
("618"	, "Divers", "", '1'),
("6181"	, "Documentation générale", "", '1'),
("6183"	, "Documentation technique", "", '1'),
("6185"	, "Frais de colloques, séminaires, conférences", "", '1'),
("619"	, "Rabais, remises et ristournes obtenus sur services extérieurs", "", '1'),
("62"	, "Autres charges externes, Autres services extérieurs", "", '1'),
("621"	, "Personnel extérieur à l'entreprise", "", '1'),
("6211"	, "Personnel intérimaire", "", '1'),
("6214"	, "Personnel détaché ou prêté à l'entreprise", "", '1'),
("622"	, "Rémunérations d'intermédiaires et honoraires", "", '1'),
("6221"	, "Commissions et courtages sur achats", "", '1'),
("6222"	, "Commissions et courtages sur ventes", "", '1'),
("6224"	, "Rémunérations des transitaires", "", '1'),
("6225"	, "Rémunérations d'affacturage", "", '1'),
("6226"	, "Honoraires", "", '1'),
("6227"	, "Frais d'actes et de contentieux", "", '1'),
("6228"	, "Divers", "", '1'),
("623"	, "Publicité, publications, relations publiques", "", '1'),
("6231"	, "Annonces et insertions", "", '1'),
("6232"	, "Échantillons", "", '1'),
("6233"	, "Foires et expositions", "", '1'),
("6234"	, "Cadeaux à la clientèle", "", '1'),
("6235"	, "Primes", "", '1'),
("6236"	, "Catalogues et imprimés", "", '1'),
("6237"	, "Publications", "", '1'),
("6238"	, "Divers (pourboires, dons courants...)", "", '1'),
("624"	, "Transports de biens et transports collectifs du personnel", "", '1'),
("6241"	, "Transports sur achats", "", '1'),
("6242"	, "Transports sur ventes", "", '1'),
("6243"	, "Transports entre établissements ou chantiers", "", '1'),
("6244"	, "Transports administratifs", "", '1'),
("6247"	, "Transports collectifs du personnel", "", '1'),
("6248"	, "Divers", "", '1'),
("625"	, "Déplacements, missions et réceptions", "", '1'),
("6251"	, "Voyages et déplacements", "", '1'),
("6255"	, "Frais de déménagement", "", '1'),
("6256"	, "Missions", "", '1'),
("6257"	, "Réceptions", "", '1'),
("626"	, "Frais postaux et de télécommunications", "", '1'),
("627"	, "Services bancaires et assimilés", "", '1'),
("6271"	, "Frais sur titres (achat, vente, garde)", "", '1'),
("6272"	, "Commissions et frais sur émission d'emprunts", "", '1'),
("6275"	, "Frais sur effets", "", '1'),
("6276"	, "Location de coffres", "", '1'),
("6278"	, "Autres frais et commissions sur prestations de services", "", '1'),
("628"	, "Divers", "", '1'),
("6281"	, "Concours divers (cotisations...)", "", '1'),
("6284"	, "Frais de recrutement de personnel", "", '1'),
("629"	, "Rabais, remises et ristournes obtenus sur autres services extérieurs", "", '1'),
("63"	, "Impôts, taxes et versements assimilés", "", '1'),
("631"	, "Impôts, taxes et versements assimilés sur rémunérations (administrations des impôts)", "", '1'),
("6311"	, "Taxe sur les salaires", "", '1'),
("6312"	, "Taxe d'apprentissage", "", '1'),
("6313"	, "Participation des employeurs à la formation professionnelle continue", "", '1'),
("6314"	, "Cotisation pour défaut d'investissement obligatoire dans la construction", "", '1'),
("6318"	, "Autres", "", '1'),
("633"	, "Impôts, taxes et versements assimilés sur rémunérations (autres organismes)", "", '1'),
("6331"	, "Versement de transport", "", '1'),
("6332"	, "Allocations logement", "", '1'),
("6333"	, "Participation des employeurs à la formation professionnelle continue", "", '1'),
("6334"	, "Participation des employeurs à l'effort de construction", "", '1'),
("6335"	, "Versements libératoires ouvrant droit à l'exonération de la taxe d'apprentissage", "", '1'),
("6338"	, "Autres", "", '1'),
("635"	, "Autres impôts, taxes et versements assimilés (administrations des impôts)", "", '1'),
("6351"	, "Impôts directs (sauf impôts sur les bénéfices)", "", '1'),
("63511"	, "Contribution économique territoriale", "", '1'),
("635111"	, "Cotisation foncière des entreprises", "", '1'),
("635112"	, "Cotisation sur la valeur ajoutée des entreprises", "", '1'),
("63512"	, "Taxes foncières", "", '1'),
("63513"	, "Autres impôts locaux", "", '1'),
("63514"	, "Impôt sur les sociétés", "", '1'),
("6352"	, "Taxes sur le chiffre d'affaires non récupérables", "", '1'),
("6353"	, "Impôts indirects", "", '1'),
("6354"	, "Droits d'enregistrement et de timbre", "", '1'),
("63541"	, "Droits de mutation", "", '1'),
("6358"	, "Autres droits", "", '1'),
("637"	, "Autres impôts, taxes et versements assimilés (autres organismes)", "", '1'),
("6371"	, "Contribution sociale de solidarité à la charge des sociétés", "", '1'),
("6372"	, "Taxes perçues par les organismes publics internationaux", "", '1'),
("6374"	, "Impôts et taxes exigibles à l'Étranger", "", '1'),
("6378"	, "Taxes diverses", "", '1'),
("64"	, "Charges de personnel", "", '1'),
("641"	, "Rémunérations du personnel", "", '1'),
("6411"	, "Salaires, appointements", "", '1'),
("6412"	, "Congés payés", "", '1'),
("6413"	, "Primes et gratifications", "", '1'),
("6414"	, "Indemnités et avantages divers", "", '1'),
("6415"	, "Supplément familial", "", '1'),
("644"	, "Rémunération du travail de l'exploitant", "", '1'),
("645"	, "Charges de sécurité sociale et de prévoyance", "", '1'),
("6451"	, "Cotisations à l'URSSAF", "", '1'),
("6452"	, "Cotisations aux mutuelles", "", '1'),
("6453"	, "Cotisations aux caisses de retraites", "", '1'),
("6454"	, "Cotisations aux ASSEDIC", "", '1'),
("6458"	, "Cotisations aux autres organismes sociaux", "", '1'),
("646"	, "Cotisations sociales personnelles de l'exploitant", "", '1'),
("647"	, "Autres cotisations sociales", "", '1'),
("6471"	, "Prestations directes", "", '1'),
("6472"	, "Versements aux comités d'entreprise et d'établissement", "", '1'),
("6473"	, "Versements aux comités d'hygiène et de sécurité", "", '1'),
("6474"	, "Versements aux autres œuvres sociales", "", '1'),
("6475"	, "Médecine du travail, pharmacie", "", '1'),
("648"	, "Autres charges de personne", "", '1'),
("649"	, "Produit d'impôt CICE", "", '1'),
("65"	, "Autres charges de gestion courante", "", '1'),
("651"	, "Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires", "", '1'),
("6511"	, "Redevances pour concessions, brevets, licences, marques, procédés.", "", '1'),
("6516"	, "Droits d'auteur et de reproduction.", "", '1'),
("6518"	, "Autres droits et valeurs similaires.", "", '1'),
("653"	, "Jetons de présence.", "", '1'),
("654"	, "Pertes sur créances irrécouvrables.", "", '1'),
("6541"	, "Créances de l'exercice.", "", '1'),
("6544"	, "Créances des exercices antérieurs.", "", '1'),
("655"	, "Quote-part de résultat sur opérations faites en commun.", "", '1'),
("6551"	, "Quote-part de bénéfice transférée (comptabilité du gérant).", "", '1'),
("6555"	, "Quote-part de perte supportée (comptabilité des associés non gérants).", "", '1'),
("658"	, "Charges diverses de gestion courante.", "", '1'),
("66"	, "Charges financières", "", '1'),
("661"	, "Charges d'intérêts", "", '1'),
("6611"	, "Intérêts des emprunts et dettes", "", '1'),
("66116"	, "Intérêts des emprunts et dettes assimilées", "", '1'),
("66117"	, "Intérêts des dettes rattachées à des participations", "", '1'),
("665"	, "Escomptes accordés", "", '1'),
("667"	, "Charges nettes sur cessions de valeurs mobilières de placement", "", '1'),
("668"	, "Autres charges financières", "", '1'),
("67"	, "Charges exceptionnelles", "", '1'),
("671"	, "Charges exceptionnelles sur opérations de gestion", "", '1'),
("6711"	, "Pénalités sur marchés (et dédits payés sur achats et ventes)", "", '1'),
("6712"	, "Pénalités, amendes fiscales et pénales", "", '1'),
("6713"	, "Dons, libéralités", "", '1'),
("6714"	, "Créances devenues irrécouvrables dans l'exercice", "", '1'),
("6715"	, "Subventions accordées", "", '1'),
("6717"	, "Rappel d'impôts (autres qu'impôts sur les bénéfices)", "", '1'),
("6718"	, "Autres charges exceptionnelles sur opérations de gestion", "", '1'),
("672"	, "Compte à la disposition des entités pour enregistrer, en cours d'exercice, les charges sur exercices antérieurs", "", '1'),
("675"	, "Valeurs comptables des éléments d'actif cédés", "", '1'),
("6751"	, "Immobilisations incorporelles", "", '1'),
("6752"	, "Immobilisations corporelles", "", '1'),
("6756"	, "Immobilisations financières", "", '1'),
("6758"	, "Autres éléments d'actif", "", '1'),
("678"	, "Autres charges exceptionnelles", "", '1'),
("6781"	, "Malis provenant de clauses d'indexation", "", '1'),
("6782"	, "Lots", "", '1'),
("6783"	, "Malis provenant du rachat par l'entreprise d'actions et obligations émises par elle-même", "", '1'),
("6788"	, "Charges exceptionnelles diverses", "", '1'),
("68"	, "Dotations aux amortissements, dépréciations et provisions", "", '1'),
("681"	, "Dotations aux amortissements, dépréciations et provisions - Charges d’exploitation", "", '1'),
("6811"	, "Dotations aux amortissements sur immobilisations incorporelles et corporelles", "", '1'),
("68111"	, "Immobilisations incorporelles", "", '1'),
("68112"	, "Immobilisations corporelles", "", '1'),
("6812"	, "Dotations aux amortissements des charges d’exploitation à répartir", "", '1'),
("6815"	, "Dotations aux provisions d’exploitation", "", '1'),
("6816"	, "Dotations aux dépréciations des immobilisations incorporelles et corporelles", "", '1'),
("68161"	, "Immobilisations incorporelles", "", '1'),
("68162"	, "Immobilisations corporelles", "", '1'),
("6817"	, "Dotations aux dépréciations des actifs circulants", "", '1'),
("68173"	, "Stocks et en-cours", "", '1'),
("68174"	, "Créances", "", '1'),
("686"	, "Dotations aux amortissements, dépréciations et provisions - Charges financières", "", '1'),
("6861"	, "Dotations aux amortissements des primes de remboursements des obligations", "", '1'),
("6865"	, "Dotations aux provisions financières", "", '1'),
("6866"	, "Dotations aux dépréciations des éléments financiers", "", '1'),
("68662"	, "Immobilisations financières", "", '1'),
("68665"	, "Valeurs mobilières de placement", "", '1'),
("6868"	, "Autres dotations", "", '1'),
("687"	, "Dotations aux amortissements, dépréciations et provisions - Charges exceptionnelles", "", '1'),
("6871"	, "Dotations aux amortissements exceptionnels des immobilisations", "", '1'),
("6872"	, "Dotations aux provisions réglementées (immobilisations)", "", '1'),
("68725"	, "Amortissements dérogatoires", "", '1'),
("6873"	, "Dotations aux provisions réglementées (stocks)", "", '1'),
("6874"	, "Dotations aux autres provisions réglementées", "", '1'),
("6875"	, "Dotations aux provisions exceptionnelles", "", '1'),
("6876"	, "Dotations aux dépréciations exceptionnelles", "", '1'),
("69"	, "Participation des salariés - impôts sur les bénéfices et assimilés", "", '1'),
("691"	, "Participation des salariés aux résultats", "", '1'),
("695"	, " Impôts sur les bénéfices", "", '1'),
("6951"	, "Impôts dus en France", "", '1'),
("6952"	, "Contribution additionnelle à l'impôt sur les bénéfices", "", '1'),
("6954"	, "Impôts dus à l'étranger", "", '1'),
("696"	, "Suppléments d'impôt sur les sociétés, liés aux distributions", "", '1'),
("697"	, "Imposition forfaitaire annuelle des sociétés (avant 1996, depuis cpte635)", "", '1'),
("698"	, "Intégration fiscale", "", '1'),
("6981"	, "Intégration fiscale - Charges", "", '1'),
("6989"	, "Intégration fiscale - Produits", "", '1'),
("699"	, "Produits - Reports en arrière des déficits", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("7"	, "Comptes de produits"	, "La classe7 groupe les comptes destinés à enregistrer dans l'exercice les produits par nature y compris ceux concernant les exercices antérieurs qui se rapportent : à l'exploitation normale et courante de l'entité, à sa gestion financière, à ses opérations exceptionnelles, aux transferts de charges.", '1'),
("70"	, "Ventes de produits fabriqués, prestations de services, marchandises", "", '1'),
("701"	, "Ventes de produits finis", "", '1'),
("7011"	, "Produits finis (ou groupe)", "", '1'),
("7012"	, "Produits finis (ou groupe) B", "", '1'),
("702"	, "Ventes de produits intermédiaires", "", '1'),
("703"	, "Ventes de produits résiduels", "", '1'),
("704"	, "Travaux", "", '1'),
("7041"	, "Travaux de catégorie (ou activité) A", "", '1'),
("7042"	, "Travaux de catégorie (ou activité) B", "", '1'),
("705"	, "Études", "", '1'),
("706"	, "Prestations de services", "", '1'),
("707"	, "Ventes de marchandises", "", '1'),
("7071"	, "Marchandises (ou groupe) A", "", '1'),
("7072"	, "Marchandises (ou groupe) B", "", '1'),
("708"	, "Produits des activités annexes", "", '1'),
("7081"	, "Produits des services exploités dans l'intérêt du personnel", "", '1'),
("7082"	, "Commissions et courtages", "", '1'),
("7083"	, "Locations diverses", "", '1'),
("7084"	, "Mise à disposition de personnel facturée", "", '1'),
("7085"	, "Ports et frais accessoires facturés", "", '1'),
("7086"	, "Bonis sur reprises d'emballages consignés", "", '1'),
("7087"	, "Bonifications obtenues des clients et primes sur ventes", "", '1'),
("7088"	, "Autres produits d'activités annexes (cessions d'approvisionnements...)", "", '1'),
("709"	, "Rabais, remises et ristournes accordés par l'entreprise", "", '1'),
("7091"	, "Rabais, remises et ristournes accordés par l'entreprise sur ventes de produits finis", "", '1'),
("7092"	, "Rabais, remises et ristournes accordés par l'entreprise sur ventes de produits intermédiaires", "", '1'),
("7094"	, "Rabais, remises et ristournes accordés par l'entreprise sur travaux", "", '1'),
("7095"	, "Rabais, remises et ristournes accordés par l'entreprise sur études", "", '1'),
("7096"	, "Rabais, remises et ristournes accordés par l'entreprise sur prestations de services", "", '1'),
("7097"	, "Rabais, remises et ristournes accordés par l'entreprise sur ventes de marchandises", "", '1'),
("7098"	, "Rabais, remises et ristournes accordés par l'entreprise sur produits des activités annexes", "", '1'),
("71"	, "Production stockée (ou déstockage)", "", '1'),
("713"	, "Variation des stocks (en-cours de production, produits)", "", '1'),
("7133"	, "Variation des en-cours de production de biens", "", '1'),
("71331"	, "Produits en cours", "", '1'),
("71335"	, "Travaux en cours", "", '1'),
("7134"	, "Variation des en-cours de production de services", "", '1'),
("71341"	, "Études en cours", "", '1'),
("71345"	, "Prestations de services en cours", "", '1'),
("7135"	, "Variation des stocks de produits", "", '1'),
("71351"	, "Produits intermédiaires", "", '1'),
("71355"	, "Produits finis", "", '1'),
("71358"	, "Produits résiduels", "", '1'),
("72"	, "Production immobilisée", "", '1'),
("721"	, "Immobilisations incorporelles", "", '1'),
("722"	, "Immobilisations corporelles", "", '1'),
("74"	, "Subventions d'exploitation"	, "Le compte74 \"Subvention d'exploitation\" est crédité du montant des subventions d'exploitation acquises à l'entité par le débit du compte de tiers ou de trésorerie intéressé.", '1'),
("75"	, "Autres produits de gestion courante", "", '1'),
("751"	, "Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires", "", '1'),
("7511"	, "Redevances pour concessions, brevets, licences, marques, procédés, logiciels", "", '1'),
("7516"	, "Droits d'auteur et de reproduction", "", '1'),
("7518"	, "Autres droits et valeurs similaires", "", '1'),
("752"	, "Revenus des immeubles non affectés à des activités professionnelles", "", '1'),
("753"	, "Jetons de présence et rémunérations d'administrateurs, gérants", "", '1'),
("754"	, "Ristournes perçues des coopératives (provenant des excédents)", "", '1'),
("755"	, "Quotes-parts de résultat sur opérations faites en commun", "", '1'),
("7551"	, "Quote-part de perte transférée (comptabilité du gérant)", "", '1'),
("7555"	, "Quote-part de bénéfice attribuée (comptabilité des associés non gérants)", "", '1'),
("758"	, "Produits divers de gestion courante", "", '1'),
("76"	, "Produits financiers", "", '1'),
("761"	, "Produits de participations", "", '1'),
("7611"	, "Revenus des titres de participations", "", '1'),
("7616"	, "Revenus sur autres formes de participation", "", '1'),
("7617"	, "Revenus des créances rattachées à des participations", "", '1'),
("762"	, "Produits des autres immobilisations financières", "", '1'),
("7621"	, "Revenus des titres immobilisés", "", '1'),
("7626"	, "Revenus des prêts", "", '1'),
("7627"	, "Revenus des créances diverses", "", '1'),
("763"	, "Revenus des autres créances", "", '1'),
("7631"	, "Revenus des créances commerciales", "", '1'),
("7638"	, "Revenus des créances diverses", "", '1'),
("764"	, "Revenus des valeurs mobilières de placement", "", '1'),
("765"	, "Escomptes obtenus", "", '1'),
("766"	, "Gains de change", "", '1'),
("767"	, "Produits nets sur cessions de valeurs mobilières de placement", "", '1'),
("768"	, "Autres produits financiers", "", '1'),
("77"	, "Produits exceptionnels", "", '1'),
("771"	, "Produits exceptionnels sur opérations de gestion", "", '1'),
("7711"	, "Dédits et pénalités perçus sur achats et sur ventes", "", '1'),
("7713"	, "Libéralités reçues", "", '1'),
("7714"	, "Rentrées sur créances amorties", "", '1'),
("7715"	, "Subventions d'équilibre", "", '1'),
("7717"	, "Dégrèvements d'impôts autres qu'impôts sur les bénéfices", "", '1'),
("7718"	, "Autres produits exceptionnels sur opérations de gestion", "", '1'),
("772"	, "Compte à la disposition des entités pour enregistrer, en cours d'exercice, les produits sur exercices antérieurs", "", '1'),
("775"	, "Produits des cessions d'éléments d'actif", "", '1'),
("7751"	, "Immobilisations incorporelles", "", '1'),
("7752"	, "Immobilisations corporelles", "", '1'),
("7756"	, "Immobilisations financières", "", '1'),
("7758"	, "Autres éléments d'actif", "", '1'),
("777"	, "Quote-part des subventions d'investissement virée au résultat de l'exercice", "", '1'),
("778"	, "Autres produits exceptionnels", "", '1'),
("7781"	, "Bonis provenant de clauses d'indexation", "", '1'),
("7782"	, "Lots", "", '1'),
("7783"	, "Bonis provenant du rachat par l'entreprise d'actions et d'obligations émises par elle-même", "", '1'),
("7788"	, "Produits exceptionnels divers", "", '1'),
("78"	, "Reprises sur amortissements, dépréciations et provisions", "", '1'),
("781"	, "Reprises sur amortissements, dépréciations et provisions (à inscrire dans les produits d'exploitation)", "", '1'),
("7811"	, "Reprises sur amortissements des immobilisations incorporelles et corporelles", "", '1'),
("78111"	, "Immobilisations incorporelles", "", '1'),
("78112"	, "Immobilisations corporelles", "", '1'),
("7815"	, "Reprises sur provisions d'exploitation", "", '1'),
("7816"	, "Reprises sur dépréciations des immobilisations corporelles et incorporelles", "", '1'),
("78161"	, "Immobilisations incorporelles", "", '1'),
("78162"	, "Immobilisations corporelles", "", '1'),
("7817"	, "Reprises sur dépréciations des actifs circulants", "", '1'),
("78173"	, "Stocks et en-cours", "", '1'),
("78174"	, "Créances", "", '1'),
("786"	, "Reprises sur dépréciations et provisions (à inscrire dans les produits financiers)", "", '1'),
("7865"	, "Reprises sur provisions financières", "", '1'),
("7866"	, "Reprises sur dépréciations des éléments financiers", "", '1'),
("78662"	, "Immobilisations financières", "", '1'),
("78665"	, "Valeurs mobilières de placement", "", '1'),
("787"	, "Reprises sur dépréciations et provisions (à inscrire dans les produits exceptionnels)", "", '1'),
("7872"	, "Reprises sur provisions réglementées (immobilisations)", "", '1'),
("78725"	, "Amortissements dérogatoires", "", '1'),
("78726"	, "Provision spéciale de réévaluation", "", '1'),
("78727"	, "Plus-values réinvesties", "", '1'),
("7873"	, "Reprises sur provisions réglementées (stocks)", "", '1'),
("7874"	, "Reprises sur autres provisions réglementées.", "", '1'),
("7875"	, "Reprises sur provisions exceptionnelles", "", '1'),
("7876"	, "Reprises sur dépréciations exceptionnelles", "", '1'),
("79"	, "Transferts de charges", "", '1'),
("791"	, "Transferts de charges d'exploitation", "", '1'),
("796"	, "Transferts de charges financières", "", '1'),
("797"	, "Transferts de charges exceptionnelles", "", '1');
insert into cptatypcompte (cptNum, cptDesc, cptText, `cptUsed`) VALUES
("8"	, "Comptes spéciaux"	, "La classe8 est utilisée pour satisfaire à des exigences d'information relatives aux documents de synthèse (Bilan : compte89, Compte de Résultat : compte88 et Annexe : compte80).", '1'),
("80"	, "Engagements", "", '1'),
("801"	, "Engagements donnés par l'entité", "", '1'),
("8011"	, "Avals, cautions, garanties", "", '1'),
("8014"	, "Effets circulant sous l'endos de l'entité", "", '1'),
("8016"	, "Redevances crédit-bail restant à courir", "", '1'),
("80161"	, "Crédit-bail mobilier", "", '1'),
("80165"	, "Crédit-bail immobilier", "", '1'),
("8018"	, "Autres engagements donnés", "", '1'),
("802"	, "Engagements reçus par l'entité", "", '1'),
("8021"	, "Avals, cautions, garanties", "", '1'),
("8024"	, "Créances escomptées non échus", "", '1'),
("8026"	, "Engagements reçus pour utilisation en crédit-bail", "", '1'),
("80261"	, "Crédit-bail mobilier", "", '1'),
("80265"	, "Crédit-bail immobilier", "", '1'),
("8028"	, "Autres engagements reçus", "", '1'),
("809"	, "Contrepartie des engagements", "", '1'),
("8091"	, "Contrepartie801", "", '1'),
("8092"	, "Contrepartie802", "", '1'),
("88"	, "Résultat en instance d'affectation"	, "Ce compte peut être utilisé par l'entité pour l'affectation du résultat de l'exercice précédent.", '1'),
("89"	, "Bilan"	, "Les comptes890 \"Bilan d'ouverture\" et 891 \"Bilan de clôture\" peuvent être utilisés pour la réouverture et la clôture des comptes de l'exercice.", '1'),
("890"	, "Bilan d'ouverture", "", '1'),
("891"	, "Bilan de clôture", "", '1');


-- 
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
