-- Données de contexte
-- BDD version 1.0.0 ou plus
--
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


-- /*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
-- /*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
-- /*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
-- /*!40101 SET NAMES utf8 */;

-- Base de données: `erp`
-- 
use erp;

-- --------------------------------------------------------
-- Vidage des tables avant insertion
-- 	Attention, ne pas changer l'ordre des tables, il y a des dépendances de référence (clés étrangères)
-- --------------------------------------------------------
delete FROM `cptajournal` ;
delete FROM `stockmvt` ;
delete FROM `panierarticle` ;
delete FROM `panier` ;
delete FROM `lignecdefourart` ;
delete FROM `cdefour` ;
delete FROM `lignecdeclientart` ;
delete FROM `cdeclient` ;
delete FROM `ordfab` ;
delete FROM `ofnomenclature` ;
delete FROM `ofgamme` ;
delete FROM `artnomenclature` ;
delete FROM `artgamme` ;
delete FROM `article` ;
delete FROM `tier` ;
delete FROM `artcategorie` ;
delete FROM `param` WHERE parmCode not like 'SOC%' and parmCode <> 'TVA';
-- --------------------------------------------------------
-- Remplissage des tables pour le contexte Ski
-- 	Attention, ne pas changer l'ordre des tables, il y a des dépendances de référence (clés étrangères)
-- --------------------------------------------------------
-- Contenu de la table `param`
UPDATE `param` SET  `parmValue`=0, `parmText`='Test & Co' WHERE `parmCode`= 'SOCNOM';
UPDATE `param` SET  `parmValue`=0, `parmText`='X rue des Essais' WHERE `parmCode`= 'SOCADR';
UPDATE `param` SET  `parmValue`=0, `parmText`='12345' WHERE `parmCode`= 'SOCCP';
UPDATE `param` SET  `parmValue`=0, `parmText`='TESTTEST' WHERE `parmCode`= 'SOCVIL';
UPDATE `param` SET  `parmValue`=12345678, `parmText`='12 345 678€' WHERE `parmCode`= 'SOCCAP';
UPDATE `param` SET  `parmValue`=0, `parmText`='123456789 12341' WHERE `parmCode`= 'SOCSIR';

-- Contenu de la table `artcategorie` ; catVente : 1=peut être vendu, 0=non vendu
INSERT INTO `artcategorie` (`code`, `libelle`, `catVente`) VALUES
('ACC', 'Accessoires', '1'),
('ACM', 'Accessoires à monter', '0'),
('CSM', 'Consommables', '0'),
('DIV', 'Divers (Bob, raquette, luge)', '1'),
('FIN', 'Fixations à monter', '0'),
('FIX', 'Fixations nue', '1'),
('SKE', 'Skis équipé', '1'),
('SKI', 'Skis nu', '1'),
('SKN', 'Skis à monter', '0'),
('VTM', 'Vetements - vestes, pantalons, gants, bonnets', '1');

-- --------------------------------------------------------
-- Contenu de la table `tier`
INSERT INTO `tier` (`tierNum`, `tierRaisonSociale`, `tierAdresse`, `paysCode`, `tierRemiseTier`, `tierLogin`, `tierMot2Pass`) VALUES
(1, 'La montagne verte', 'Route de Strasbourg 68000 Colmar', 'FRA', NULL, '', ''),
(2, 'Skirama', 'Route de Colmar, 67000 Strasbourg', 'FRA', NULL, '', ''),
(3, 'Extrem''Sports', 'Quai de Paris, 67000 Strasbourg', 'FRA', NULL, '', ''),
(4, 'Free und Fun', 'Haupt Strasse, D-77671 Kehl', 'GER', NULL, '', ''),
(5, 'Azure ski club', '123 rue de la montagne\r\nSélénia', 'AND', NULL, 'azure ski club', 'dddb2856eb87d5c4e21e41f1318de846300030df'),
(6, 'Azure ski club', '123 rue de la montagne\r\nSélénia', 'AND', NULL, 'Azure ski club', 'ba174ca63ffe106338f39d6542dddfe909e0a0ad');
-- --------------------------------------------------------
-- Contenu de la table `article`
INSERT INTO `article` (`artCode`, `artDesc`, `artPrixHT`, `stockInit`, `stockDate`, `artTypeCode`, `artCatCode`, `artVendu`, `artAddMode`, `artPlanif`, `artStockMini`) VALUES
('ABS0001B', 'Feuille ABS blanc 350*2000', 5.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ABS0001N', 'Feuille ABS Noir 350*2000', 5.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ABS0001R', 'Feuille ABS rouge 350*2000', 5.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ABS0002B', 'Feuille ABS blanc translucide 350*2000', 6.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ABS1001N', 'Plat ABS Noir 50*2000 (champ)', 5.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ABS2001N', 'Tip Spacer ABS Blanc 350*200 prédécoupé', 5.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ACC00103', 'PCV à semelle gris', 25.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ACC00104', 'PCV à semelle noir', 25.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ACC00105', 'PCV à semelle rouge', 25.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ACC10024', 'Fart violet -25 à -5°', 25.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('ACC10025', 'Fart Blanc -10 à +2°', 25.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('BOIEP026', 'Tasseau épicéa 26mm', 1.50000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('BOIFR022', 'Tasseau frene 22mm', 1.30000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('BOIPE025', 'Tasseau peuplier 25mm', 1.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('BOIPI022', 'Tasseau pin 22mm', 1.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('CAR00101', 'Carre ski 2m * 10mm', 6.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('CAR00151', 'Carre ski 2m * 15mm', 6.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('CAR02151', 'Carre snow 1,5m * 15mm', 6.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('COL00010', 'Colle Bicomposant', 12.00000, 5.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('COL00020', 'Colle instantannée', 10.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('COL00030', 'Colle bois polyuréthane', 10.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('COL10010', 'Gelcoat de moulage 5l', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('COL10020', 'Résine polyuréthane de collage 5l', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('COL10030', 'Résine polyuréthane de surface 5l', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIX00100', 'Fixation ski Sport et Loisir', 85.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIX00201', 'Fixation ski Compétition 01', 145.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIX00202', 'Fixation ski Compétition 02', 167.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIX00301', 'Fixation ski loisir Noire', 73.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIX00302', 'Fixation ski loisir Blanche', 73.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIX00303', 'Fixation ski loisir enfant', 67.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIXN0102', 'Fixation snow loisir', 47.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('FIXN0103', 'Fixation snow Sport', 67.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('NOYALU01', 'noyau ALU profilé oméga', 35.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('SCD17001', 'Noyau Ski Compétition Alu 170 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('SK01150N', 'Ski nu Sport Slalom géant 1m50 Noir', 265.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK01150R', 'Ski nu Sport Slalom géant 1m50 Rouge', 265.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK01150V', 'Ski nu Sport Slalom géant 1m50 Vert', 265.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK01170N', 'Ski nu Sport Slalom géant 1m70 Noir', 280.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK01170R', 'Ski nu Sport Slalom géant 1m70 Rouge', 280.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK01170V', 'Ski nu Sport Slalom géant 1m70 Vert', 280.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK02170B', 'Ski nu Compétition descente 1m70 Blanc', 380.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK02170N', 'Ski nu Compétition descente 1m70 Noir', 380.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK02170R', 'Ski nu Compétition descente 1m70 Rouge', 350.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK02170V', 'Ski nu Compétition descente 1m70 Vert', 360.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK03160B', 'Ski nu Loisir parabolique 1m60 Blanc', 180.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK03160N', 'Ski nu Loisir parabolique 1m60 Noir', 170.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK03170G', 'Ski nu Loisir parabolique 1m70 Gris', 190.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SK03170R', 'Ski nu Loisir parabolique 1m70 Rouge', 200.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SKIP160B', 'Ski Loisir parabolique équipé 1m60 Blanc', 230.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SKIP160N', 'Ski Loisir parabolique équipé 1m60 Noir', 220.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SKIP170G', 'Ski Loisir parabolique équipé 1m70 Gris', 240.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SKIP170R', 'Ski Loisir parabolique équipé 1m70 Rouge', 250.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SLP16001', 'Noyau Ski Loisir parabolique 160 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('SLP17001', 'Noyau Ski Loisir parabolique 170 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('SLP18001', 'Noyau Ski Loisir parabolique 180 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('SM0150N', 'Semelle ski 1m50 Noir', 265.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SM0160N', 'Semelle ski 1m60 Noir', 170.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SM0170B', 'Semelle ski 1m70 Blanc', 380.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SM0170N', 'Semelle ski 1m70 Noir', 280.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SM0170R', 'Semelle ski 1m70 Rouge', 280.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SM1130N', 'Semelle snow 1m30 Noir', 230.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SN01130N', 'Snow nu Loisir 1m30 Black Snow', 230.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SN01130R', 'Snow nu Loisir 1m30 Red Pepper', 210.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SNL13001', 'Noyau snow loisir 130 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('SNOL130N', 'Snow Loisir 1m30 équipé Black Snow', 290.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SNOL130R', 'Snow Loisir 1m30 équipé Red Pepper', 280.00000, 0.00, '0000-00-00', 'F', '', '', '0', 'S', 0),
('SSS15001', 'Noyau Ski Sport Slalom bois 150 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('SSS17001', 'Noyau Ski Sport Slalom bois 170 brut', 0.00000, 0.00, '0000-00-00', 'S', '', '', '0', 'S', 0),
('TIS00010', 'Feuille Tissu Kevlar 350*2000', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('TIS00020', 'Feuille Tissu Carbone 350*2000', 75.00000, 0.00, '2014-12-01', 'M', '', '1', '1', 'S', 0),
('TIS00030', 'Feuille Tissu Verre 350*2000', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('TIS00040', 'Feuille Tissu Carbone 350*2000', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('TIS10010', 'Bande Renfort Tissu Kevlar 150*2000', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('TIS10030', 'Bande Renfort Tissu Carbone 150*2000', 75.00000, 0.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('VISZ3020', 'Vis croisillon D3,0 L20', 0.15000, 5.00, '0000-00-00', 'M', '', '', '0', 'S', 0),
('VISZ3030', 'Vis croisillon D3,0 L30', 0.15000, 5.00, '0000-00-00', 'M', '', '', '0', 'S', 0);
-- --------------------------------------------------------
-- Contenu de la table `artgamme`
INSERT INTO `artgamme` (`artCode`, `opNum`, `opDesc`, `opDuree`) VALUES
('SCD17001', 100, 'Découpe Tasseaux L1800mm', 10),
('SCD17001', 200, 'Collage Tasseaux sur noyau ALU Oméga', 20),
('SCD17001', 300, 'Séchage Tasseaux par cuisson résine', 360),
('SCD17001', 400, 'Découpe/ponçage Tasseaux', 15),
('SCD17001', 500, 'Collage champs et Tip spacer ABS', 8),
('SCD17001', 600, 'Ponçage noyau', 15),
('SK01150N', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK01150N', 200, 'Stratification sous vide Carbone', 15),
('SK01150N', 300, 'Détourage', 15),
('SK01150N', 400, 'Décoration Noire', 15),
('SK01150N', 500, 'Glaçage', 15),
('SK01150R', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK01150R', 200, 'Stratification sous vide Carbone', 15),
('SK01150R', 300, 'Détourage', 15),
('SK01150R', 400, 'Décoration Red Perf', 15),
('SK01150R', 500, 'Glaçage', 15),
('SK01150V', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK01150V', 200, 'Stratification sous vide Carbone', 15),
('SK01150V', 300, 'Détourage', 15),
('SK01150V', 400, 'Décoration Lime Perf', 15),
('SK01150V', 500, 'Glaçage', 15),
('SK01170N', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK01170N', 200, 'Stratification sous vide Carbone', 15),
('SK01170N', 300, 'Détourage', 15),
('SK01170N', 400, 'Décoration Noire', 15),
('SK01170N', 500, 'Glaçage', 15),
('SK01170R', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK01170R', 200, 'Stratification sous vide Carbone', 15),
('SK01170R', 300, 'Détourage', 15),
('SK01170R', 400, 'Décoration Red Performance', 15),
('SK01170R', 500, 'Glaçage', 15),
('SK01170V', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK01170V', 200, 'Stratification sous vide Carbone', 15),
('SK01170V', 300, 'Détourage', 15),
('SK01170V', 400, 'Décoration Lime Performance', 15),
('SK01170V', 500, 'Glaçage', 15),
('SK02170B', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK02170B', 200, 'Stratification sous vide Kevlar+Kevlar', 15),
('SK02170B', 300, 'Détourage', 15),
('SK02170B', 400, 'Décoration Gold/Silver Flower', 15),
('SK02170B', 500, 'Glaçage', 15),
('SK02170N', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK02170N', 200, 'Stratification sous vide Kevlar+Kevlar', 15),
('SK02170N', 300, 'Détourage', 15),
('SK02170N', 400, 'Décoration Noir Pur', 15),
('SK02170N', 500, 'Glaçage', 15),
('SK02170R', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK02170R', 200, 'Stratification sous vide Kevlar+Kevlar', 15),
('SK02170R', 300, 'Détourage', 15),
('SK02170R', 400, 'Décoration Fire Dragon ', 15),
('SK02170R', 500, 'Glaçage', 15),
('SK02170V', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK02170V', 200, 'Stratification sous vide Kevlar+Kevlar', 15),
('SK02170V', 300, 'Détourage', 15),
('SK02170V', 400, 'Décoration FaÃ«rie', 15),
('SK02170V', 500, 'Glaçage', 15),
('SK03160B', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK03160B', 200, 'Stratification sous vide Carbone', 15),
('SK03160B', 300, 'Détourage', 15),
('SK03160B', 400, 'Décoration Loisir Femme Blanc/Argent/Pomme', 15),
('SK03160B', 500, 'Glaçage', 15),
('SK03160N', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK03160N', 200, 'Stratification sous vide Verre+Carbone', 15),
('SK03160N', 300, 'Détourage', 15),
('SK03160N', 400, 'Décoration Loisir Noir', 15),
('SK03160N', 500, 'Glaçage', 15),
('SK03170G', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK03170G', 200, 'Stratification sous vide Verre+Carbone', 15),
('SK03170G', 300, 'Détourage', 15),
('SK03170G', 400, 'Décoration Silver Blade', 15),
('SK03170G', 500, 'Glaçage', 15),
('SK03170R', 100, 'Collage Noyau-semelle, cintrage', 15),
('SK03170R', 200, 'Stratification sous vide Verre+Carbone', 15),
('SK03170R', 300, 'Détourage', 15),
('SK03170R', 400, 'Décoration Red Star', 15),
('SK03170R', 500, 'Glaçage', 15),
('SKIP160B', 100, 'Perçage Fixation', 15),
('SKIP160B', 300, 'Vissage fixation', 15),
('SKIP160B', 400, 'Fartage', 15),
('SKIP160B', 500, 'Emballage', 15),
('SKIP160N', 100, 'Perçage Fixation', 15),
('SKIP160N', 300, 'Vissage fixation', 15),
('SKIP160N', 400, 'Fartage', 15),
('SKIP160N', 500, 'Emballage', 15),
('SKIP170G', 100, 'Perçage Fixation', 15),
('SKIP170G', 200, 'Pose semelle de fixation', 15),
('SKIP170G', 300, 'Vissage fixation', 15),
('SKIP170G', 400, 'Fartage', 15),
('SKIP170G', 500, 'Emballage', 15),
('SKIP170R', 100, 'Perçage Fixation', 15),
('SKIP170R', 200, 'Pose semelle de fixation', 15),
('SKIP170R', 300, 'Vissage fixation', 15),
('SKIP170R', 400, 'Fartage', 15),
('SKIP170R', 500, 'Emballage', 15),
('SLP16001', 100, 'Découpe Tasseaux L1700mm', 10),
('SLP16001', 200, 'Collage Tasseaux', 20),
('SLP16001', 300, 'Séchage Tasseaux', 360),
('SLP16001', 400, 'Découpe/ponçage Tasseaux', 15),
('SLP16001', 500, 'Collage champs et Tip spacer ABS', 8),
('SLP16001', 600, 'Ponçage noyau', 15),
('SLP17001', 100, 'Découpe Tasseaux L1800mm', 10),
('SLP17001', 200, 'Collage Tasseaux', 20),
('SLP17001', 300, 'Séchage Tasseaux', 360),
('SLP17001', 400, 'Découpe/ponçage Tasseaux', 15),
('SLP17001', 500, 'Collage champs et Tip spacer ABS', 8),
('SLP17001', 600, 'Ponçage noyau', 15),
('SLP18001', 100, 'Découpe Tasseaux L1900mm', 10),
('SLP18001', 200, 'Collage Tasseaux', 20),
('SLP18001', 300, 'Séchage Tasseaux', 360),
('SLP18001', 400, 'Découpe/ponçage Tasseaux', 15),
('SLP18001', 500, 'Collage champs et Tip spacer ABS', 8),
('SLP18001', 600, 'Ponçage noyau', 15),
('SM0150N', 100, 'Découpe ABS Noir L150', 15),
('SM0150N', 200, 'Collage Carre', 15),
('SM0160N', 100, 'Découpe ABS Noir L160', 15),
('SM0160N', 200, 'Collage Carre', 15),
('SM0170B', 100, 'Découpe ABS Blanc L170', 15),
('SM0170B', 200, 'Collage Carre', 15),
('SM0170N', 100, 'Découpe ABS Noir L170', 15),
('SM0170N', 200, 'Collage Carre', 15),
('SM0170R', 100, 'Découpe ABS Rouge L170', 15),
('SM0170R', 200, 'Collage Carre', 15),
('SM1130N', 100, 'Découpe ABS Noir L130', 15),
('SM1130N', 200, 'Collage Carre', 15),
('SN01130N', 100, 'Collage Noyau-semelle, cintrage', 15),
('SN01130N', 200, 'Stratification sous vide Carbone+Carbone', 15),
('SN01130N', 300, 'Détourage', 15),
('SN01130N', 400, 'Décoration Black Snow', 15),
('SN01130N', 500, 'Glaçage', 15),
('SN01130R', 100, 'Collage Noyau-semelle, cintrage. Séchage', 240),
('SN01130R', 200, 'Stratification sous vide Carbone+Carbone', 240),
('SN01130R', 300, 'Détourage', 25),
('SN01130R', 400, 'Décoration Red Pepper', 50),
('SN01130R', 500, 'Glaçage', 15),
('SN01130R', 600, 'Emballage', 5),
('SNL13001', 100, 'Découpe Tasseaux L1300mm', 10),
('SNL13001', 200, 'Collage Tasseaux', 20),
('SNL13001', 300, 'Séchage Tasseaux', 360),
('SNL13001', 400, 'Découpe/ponçage Tasseaux', 15),
('SNL13001', 500, 'Collage champs et Tip spacer ABS', 8),
('SNL13001', 600, 'Ponçage noyau', 15),
('SNOL130N', 100, 'Perçage Fixation', 15),
('SNOL130N', 300, 'Vissage fixation', 15),
('SNOL130N', 400, 'Fartage', 15),
('SNOL130N', 500, 'Emballage', 15),
('SNOL130R', 100, 'Perçage Fixation', 15),
('SNOL130R', 300, 'Vissage fixation', 15),
('SNOL130R', 400, 'Fartage', 15),
('SNOL130R', 500, 'Emballage', 15),
('SSS15001', 100, 'Découpe Tasseaux L1600mm', 10),
('SSS15001', 200, 'Collage Tasseaux', 20),
('SSS15001', 300, 'Séchage Tasseaux', 360),
('SSS15001', 400, 'Découpe/ponçage Tasseaux', 15),
('SSS15001', 500, 'Collage champs et Tip Spacer ABS', 8),
('SSS15001', 600, 'Ponçage noyau', 15),
('SSS17001', 100, 'Découpe Tasseaux L1800mm', 10),
('SSS17001', 200, 'Collage Tasseaux', 20),
('SSS17001', 300, 'Séchage Tasseaux', 360),
('SSS17001', 400, 'Découpe/ponçage Tasseaux', 15),
('SSS17001', 500, 'Collage champs et Tip spacer ABS', 8),
('SSS17001', 600, 'Ponçage noyau', 15);
-- --------------------------------------------------------
-- Contenu de la table `artnomenclature`
INSERT INTO `artnomenclature` (`artCode`, `comp_artCode`, `opNum`, `compQte`) VALUES
('SCD17001', 'ABS1001N', 500, 2),	('SCD17001', 'ABS2001N', 500, 2),	('SCD17001', 'BOIFR022', 100, 10),	('SCD17001', 'COL00010', 500, 15),	('SCD17001', 'COL00030', 200, 100),	('SCD17001', 'NOYALU01', 100, 1),
('SK01150N', 'COL10010', 500, 100),	('SK01150N', 'COL10020', 100, 30),	('SK01150N', 'COL10020', 200, 1.5),	('SK01150N', 'COL10030', 200, 1.5),	('SK01150N', 'SM0150N', 100, 1),	('SK01150N', 'SSS15001', 100, 1),	('SK01150N', 'TIS00040', 200, 2),	('SK01150N', 'TIS10030', 200, 2),	
('SK01150R', 'COL10010', 500, 100),	('SK01150R', 'COL10020', 100, 30),	('SK01150R', 'COL10020', 200, 1.5),	('SK01150R', 'COL10030', 200, 1.5),
('SK01150R', 'SM0150N', 100, 1),	('SK01150R', 'SSS15001', 100, 1),	('SK01150R', 'TIS00040', 200, 2),	('SK01150R', 'TIS10030', 200, 2),	
('SK01150V', 'COL10010', 500, 100),	('SK01150V', 'COL10020', 100, 30),	('SK01150V', 'COL10020', 200, 1.5),	('SK01150V', 'COL10030', 200, 1.5),	('SK01150V', 'SM0150N', 100, 1),	('SK01150V', 'SSS15001', 100, 1),	('SK01150V', 'TIS00040', 200, 2),	('SK01150V', 'TIS10030', 200, 2),
('SK01170N', 'COL10010', 500, 100),	('SK01170N', 'COL10020', 100, 30),	('SK01170N', 'COL10020', 200, 1.5),	('SK01170N', 'COL10030', 200, 1.5),	('SK01170N', 'SM0170N', 100, 1),	('SK01170N', 'SSS17001', 100, 1),	('SK01170N', 'TIS00040', 200, 2),	('SK01170N', 'TIS10030', 200, 2),	
('SK01170R', 'COL10010', 500, 100),	('SK01170R', 'COL10020', 100, 30),	('SK01170R', 'COL10020', 200, 1.5),	('SK01170R', 'COL10030', 200, 1.5),	('SK01170R', 'SM0170R', 100, 1),	('SK01170R', 'SSS17001', 100, 1),	('SK01170R', 'TIS00040', 200, 2),	('SK01170R', 'TIS10030', 200, 2),	
('SK01170V', 'COL10010', 500, 100),	('SK01170V', 'COL10020', 100, 30),	('SK01170V', 'COL10020', 200, 1.5),	('SK01170V', 'COL10030', 200, 1.5),	('SK01170V', 'SM0170B', 100, 1),	('SK01170V', 'SSS17001', 100, 1),	('SK01170V', 'TIS00040', 200, 2),	('SK01170V', 'TIS10030', 200, 2),
('SK02170B', 'COL10010', 500, 100),	('SK02170B', 'COL10020', 100, 30),	('SK02170B', 'COL10020', 200, 1.5),	('SK02170B', 'COL10030', 200, 1.5),	('SK02170B', 'SCD17001', 100, 1),	('SK02170B', 'SM0170B', 100, 1),	('SK02170B', 'TIS00010', 200, 2),	('SK02170B', 'TIS10010', 200, 2),
('SK02170N', 'COL10010', 500, 100),	('SK02170N', 'COL10020', 100, 30),	('SK02170N', 'COL10020', 200, 1.5),	('SK02170N', 'COL10030', 200, 1.5),	('SK02170N', 'SCD17001', 100, 1),	('SK02170N', 'SM0170N', 100, 1),	('SK02170N', 'TIS00010', 200, 2),	('SK02170N', 'TIS10010', 200, 2),
('SK02170R', 'COL10010', 500, 100),	('SK02170R', 'COL10020', 100, 30),	('SK02170R', 'COL10020', 200, 1.5),	('SK02170R', 'COL10030', 200, 1.5),	('SK02170R', 'SCD17001', 100, 1),	('SK02170R', 'SM0170R', 100, 1),	('SK02170R', 'TIS00010', 200, 2),	('SK02170R', 'TIS10010', 200, 2),
('SK02170V', 'COL10010', 500, 100),	('SK02170V', 'COL10020', 100, 30),	('SK02170V', 'COL10020', 200, 1.5),	('SK02170V', 'COL10030', 200, 1.5),	('SK02170V', 'SCD17001', 100, 1),	('SK02170V', 'SM0170N', 100, 1),	('SK02170V', 'TIS00010', 200, 2),	('SK02170V', 'TIS10010', 200, 2),	
('SK03160B', 'COL10010', 500, 100),	('SK03160B', 'COL10020', 100, 30),	('SK03160B', 'COL10020', 200, 1.5),	('SK03160B', 'COL10030', 200, 1.5),	('SK03160B', 'SLP16001', 100, 1),	('SK03160B', 'SM0160N', 100, 1),	('SK03160B', 'TIS00030', 200, 2),	('SK03160B', 'TIS10030', 200, 2),	
('SK03160N', 'COL10010', 500, 100),	('SK03160N', 'COL10020', 100, 30),	('SK03160N', 'COL10020', 200, 1.5),	('SK03160N', 'COL10030', 200, 1.5),	('SK03160N', 'SLP16001', 100, 1),	('SK03160N', 'SM0160N', 100, 1),	('SK03160N', 'TIS00030', 200, 2),	('SK03160N', 'TIS10030', 200, 2),	
('SK03170G', 'COL10010', 500, 100),	('SK03170G', 'COL10020', 100, 30),	('SK03170G', 'COL10020', 200, 1.5),	('SK03170G', 'COL10030', 200, 1.5),	('SK03170G', 'SLP17001', 100, 1),	('SK03170G', 'SM0170N', 100, 1),	('SK03170G', 'TIS00030', 200, 2),	('SK03170G', 'TIS10030', 200, 2),	
('SK03170R', 'COL10010', 500, 100),	('SK03170R', 'COL10020', 100, 30),	('SK03170R', 'COL10020', 200, 1.5),	('SK03170R', 'COL10030', 200, 1.5),	('SK03170R', 'SLP17001', 100, 1),	('SK03170R', 'SM0170R', 100, 1),	('SK03170R', 'TIS00030', 200, 2),	('SK03170R', 'TIS10030', 200, 2),
('SKIP160B', 'ACC10025', 100, 1),	('SKIP160B', 'COL00020', 100, 1),	('SKIP160B', 'FIX00202', 100, 1),	('SKIP160B', 'SK03160B', 100, 1),	('SKIP160B', 'VISZ3030', 100, 8),	('SKIP160N', 'ACC10025', 100, 1),	('SKIP160N', 'COL00020', 100, 1),	('SKIP160N', 'FIX00100', 100, 1),	('SKIP160N', 'SK03160N', 100, 1),	('SKIP160N', 'VISZ3030', 100, 8),
('SKIP170G', 'ACC10025', 100, 1),	('SKIP170G', 'COL00020', 100, 1),	('SKIP170G', 'FIX00100', 100, 1),	('SKIP170G', 'SK03170G', 100, 1),	('SKIP170G', 'VISZ3030', 100, 8),	
('SKIP170R', 'ACC10025', 100, 1),	('SKIP170R', 'COL00020', 100, 1),	('SKIP170R', 'FIX00202', 100, 1),	('SKIP170R', 'SK03170R', 100, 1),	('SKIP170R', 'VISZ3030', 100, 8),
('SLP16001', 'ABS1001N', 500, 2),	('SLP16001', 'ABS2001N', 500, 2),	('SLP16001', 'BOIEP026', 100, 12),	('SLP16001', 'COL00010', 500, 12),	('SLP16001', 'COL00030', 200, 120),
('SLP17001', 'ABS1001N', 500, 2),	('SLP17001', 'ABS2001N', 500, 2),	('SLP17001', 'BOIEP026', 100, 12),	('SLP17001', 'COL00010', 500, 15),	('SLP17001', 'COL00030', 200, 120),
('SLP18001', 'ABS1001N', 500, 2),	('SLP18001', 'ABS2001N', 500, 2),	('SLP18001', 'BOIEP026', 100, 12),	('SLP18001', 'COL00010', 500, 16),	('SLP18001', 'COL00030', 200, 120),
('SM0150N', 'ABS0001N', 100, 1),	('SM0150N', 'CAR00101', 200, 2),	('SM0150N', 'COL00010', 200, 15),	
('SM0160N', 'ABS0001N', 100, 1),	('SM0160N', 'CAR00151', 200, 2),	('SM0160N', 'COL00010', 200, 15),
('SM0170B', 'ABS0001B', 100, 1),	('SM0170B', 'CAR00151', 200, 2),	('SM0170B', 'COL00010', 200, 15),
('SM0170N', 'ABS0001N', 100, 1),	('SM0170N', 'CAR00151', 200, 2),	('SM0170N', 'COL00010', 200, 15),
('SM0170R', 'ABS0001R', 100, 1),	('SM0170R', 'CAR00151', 200, 2),	('SM0170R', 'COL00010', 200, 15),
('SM1130N', 'ABS0001N', 100, 1),	('SM1130N', 'CAR02151', 200, 2),	('SM1130N', 'COL00010', 200, 20),
('SN01130N', 'COL10010', 500, 150),	('SN01130N', 'COL10020', 100, 40),	('SN01130N', 'COL10020', 200, 2),	('SN01130N', 'COL10030', 200, 2),	('SN01130N', 'SM1130N', 100, 1),	('SN01130N', 'SNL13001', 100, 1),	('SN01130N', 'TIS00020', 200, 2),	('SN01130N', 'TIS10030', 200, 2),
('SN01130R', 'COL10010', 500, 150),	('SN01130R', 'COL10020', 100, 40),	('SN01130R', 'COL10020', 200, 2),	('SN01130R', 'COL10030', 200, 2),	('SN01130R', 'SM1130N', 100, 1),	('SN01130R', 'SNL13001', 100, 1),	('SN01130R', 'TIS00020', 200, 2),	('SN01130R', 'TIS10030', 200, 2),	
('SNL13001', 'ABS1001N', 500, 2),	('SNL13001', 'ABS2001N', 500, 2),	('SNL13001', 'BOIEP026', 100, 19),	('SNL13001', 'COL00010', 500, 10),	('SNL13001', 'COL00030', 200, 190),	
('SNOL130N', 'ACC10025', 100, 1),	('SNOL130N', 'COL00020', 100, 1),	('SNOL130N', 'FIXN0102', 100, 1),	('SNOL130N', 'SN01130N', 100, 1),	('SNOL130N', 'VISZ3030', 100, 8),
('SNOL130R', 'ACC10025', 100, 1),	('SNOL130R', 'COL00020', 100, 1),	('SNOL130R', 'FIXN0102', 100, 1),	('SNOL130R', 'SN01130R', 100, 1),	('SNOL130R', 'VISZ3030', 100, 8),
('SSS15001', 'ABS1001N', 500, 2),	('SSS15001', 'ABS2001N', 500, 2),	('SSS15001', 'BOIPE025', 100, 10),	('SSS15001', 'COL00010', 500, 15),	('SSS15001', 'COL00030', 200, 100),
('SSS17001', 'ABS1001N', 500, 2),	('SSS17001', 'ABS2001N', 500, 2),	('SSS17001', 'BOIPE025', 100, 10),	('SSS17001', 'COL00010', 500, 15),	('SSS17001', 'COL00030', 200, 100);
-- --------------------------------------------------------
-- Contenu de la table `ordfab`
-- INSERT INTO `ordfab` (`ofNum`, `artCode`, `ofQte`, `ofDateDeb`, `ofDateFin`, `ofDateFixe`, `ofDuree`) VALUES
-- (1, 'V001FR', 20, '2011-08-29', '2011-09-05', 1, 5.3);

-- --------------------------------------------------------
-- Contenu de la table `ofgamme`
-- INSERT INTO `ofgamme` (`ofNum`, `opNum`, `opDateDeb`, `opDateFin`, `opDureeReelle`, `opQteFinie`, `opQteRejetee`) VALUES
-- (1, 100, '2011-08-29', '2011-08-30', 2, 19, 1),
-- (1, 200, '2011-08-30', '2011-08-31', 1.9, 18, 1),
-- (1, 300, '2011-08-31', '2011-09-04', 2.5, 16, 2);

-- --------------------------------------------------------
-- Contenu de la table `ofnomenclature`
-- INSERT INTO `ofnomenclature` (`ofNum`, `ofComp_artCode`, `opNum`, `ofQteTheo`, `ofQteConsommee`) VALUES
-- (1, 'CAD001FR', 100, 20, 20),
-- (1, 'GUID001', 300, 20, 18),
-- (1, 'PEDA001', 100, 20, 20),
-- (1, 'R750AR', 200, 20, 19),
-- (1, 'R750AV', 200, 20, 19),
-- (1, 'SEL001F', 300, 20, 17);

-- --------------------------------------------------------
-- Contenu de la table `cdeclient` ; statut : 0=ferme, 4=prev, etat : 0=devis, 1=cde, 3=livree, 4=facturee, 6=done, 9=del;
INSERT INTO `cdeclient` (`cdeNum`, `cdeDate`, `cliNum`, `cdeRemiseGlobale`, `transCode`, `paiemtCode`, `cdeStatut`, `cdeEtat`) VALUES
(1, '2011-09-12', 1, 0, 1, 1, 0, 1),
(2, '2011-09-05', 1, 0, 1, 1, 0, 1),
(3, '2013-03-19', 1, 0, 5, 3, 0, 1),
(4, '2013-03-19', 1, 0, 5, 3, 0, 1),
(5, '2013-03-24', 1, 0, 5, 3, 0, 1),
(6, '2013-03-24', 1, 0, 5, 3, 0, 1),
(7, '2014-12-12', 5, 0, 4, 3, 0, 1),
(8, '2014-12-12', 6, 0, 4, 3, 0, 1);

-- ---------------------------------------------------------- --------------------------------------------------------
-- Contenu de la table `lignecdeclientart`
INSERT INTO `lignecdeclientart` (`cdeNum`, `artCode`, `qte`, `ligneRemiseArticle`, `ligneEtat`) VALUES
(6, 'CAD001FR', 2, 0, 1),
(3, 'SK01150R', 1, 0, 1),
(2, 'SK01170N', 1, 0, 1),
(7, 'SK02170N', 1, 0, 1),
(1, 'SKIP160B', 5, 0, 1),
(2, 'SKIP160B', 7, 0, 1),
(5, 'SKIP160N', 2, 0, 1),
(7, 'SKIP160N', 1, 0, 1),
(4, 'SN01130N', 1, 0, 1),
(3, 'SNOL130R', 1, 0, 1);

-- --------------------------------------------------------
-- Contenu de la table `cdefour`
-- --------------------------------------------------------
-- Contenu de la table `lignecdefourart`
-- --------------------------------------------------------
-- Contenu de la table `panier`
-- --------------------------------------------------------
-- Contenu de la table `panierarticle`
-- --------------------------------------------------------
-- Contenu de la table `stockmvt`
/*
INSERT INTO `stockmvt` (`mvtNum`, `mvtCode`, `mvtDate`, `mvtArt`, `mvtQte`, `mvtRefNum`, `mvtMotif`) VALUES
(1, 'OFC', '2011-08-29', 'CAD001FR', -20, 'OF0001.100', 'Consommation fabrication'),
(2, 'OFC', '2011-08-29', 'PEDA001', -20, 'OF0001.100', 'Consommation fabrication'),
(3, 'OFC', '2011-08-30', 'R750AR', -19, 'OF0001.200', 'Consommation fabrication'),
(4, 'OFC', '2011-08-30', 'R750AV', -19, 'OF0001.200', 'Consommation fabrication'),
(5, 'OFC', '2011-08-31', 'GUID001', -18, 'OF0001.300', 'Consommation fabrication'),
(6, 'OFC', '2011-09-01', 'SEL001F', -17, 'OF0001.300', 'Consommation fabrication'),
(7, 'OFP', '2011-09-04', 'V001FR', 16, 'OF0001', 'Production'),
(8, 'RCV', '2011-08-28', 'CAD001FR', 25, 'BL0001', 'Réception'),
(9, 'RCV', '2011-08-31', 'GUID001', 25, 'BL0002', 'Réception'),
(10, 'VTE', '2011-09-05', 'V001FR', 5, 'CDE1.0001', 'Vente (CDE.BL)'),
(11, 'OFR', '2011-08-30', 'V001FR', -1, 'OF0001.100', 'Défaut Peinture'),
(13, 'OFR', '2011-08-30', 'V001FR', -1, 'OF0001.200', 'Erreur Machine'),
(17, 'OFR', '2011-09-02', 'V001FR', -2, 'OF0001.300', 'Erreur référence Montage');
*/
-- --------------------------------------------------------